﻿/**Begin D:\PDM_UPGRADE\PDM1\TSIRM_constraint.sql **/
EXEC P_ALTERPK 'PK_TSIRM_ARGINTV_L', 'T_TSIRM_ARGINTV_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ARGINTV_L') CREATE INDEX IDX_TSIRM_ARGINTV_L ON T_TSIRM_ARGINTV_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_GROUPCANDATE', 'T_TSIRM_GROUPCANDATE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_GROUPCANDATEFDID') CREATE INDEX IDX_TSIRM_GROUPCANDATEFDID ON T_TSIRM_GROUPCANDATE ( FDETAILID );


EXEC P_ALTERPK 'PK_TSIRM_INTVCANDATE', 'T_TSIRM_INTVCANDATE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_INTVCANDATEFID') CREATE INDEX IDX_TSIRM_INTVCANDATEFID ON T_TSIRM_INTVCANDATE ( FID );


EXEC P_ALTERPK 'PK_TSIRM_INTVER', 'T_TSIRM_INTVER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_INTVERFDID') CREATE INDEX IDX_TSIRM_INTVERFDID ON T_TSIRM_INTVER ( FDETAILID );


EXEC P_ALTERPK 'PK_TSIRM_INTVEVLENTRY', 'T_TSIRM_INTVEVLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_INTVEVLENTRYFID') CREATE INDEX IDX_TSIRM_INTVEVLENTRYFID ON T_TSIRM_INTVEVLENTRY ( FID );


EXEC P_ALTERPK 'PK_TSIRM_INTVGROUPENTRY_L', 'T_TSIRM_INTVGROUPENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_INTVGROUPENTRY_L') CREATE INDEX IDX_TSIRM_INTVGROUPENTRY_L ON T_TSIRM_INTVGROUPENTRY_L ( FDETAILID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_INTVTASK_L', 'T_TSIRM_INTVTASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_INTVTASK_L') CREATE INDEX IDX_TSIRM_INTVTASK_L ON T_TSIRM_INTVTASK_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_INTVEVLANS_L', 'T_TSIRM_INTVEVLANS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_INTVEVLANS_L') CREATE INDEX IDX_TSIRM_INTVEVLANS_L ON T_TSIRM_INTVEVLANS_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_APPFILETASK_L', 'T_TSIRM_APPFILETASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_APPFILETASK_L') CREATE INDEX IDX_TSIRM_APPFILETASK_L ON T_TSIRM_APPFILETASK_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_REFUSALREASON', 'T_TSIRM_REFUSALREASON', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_REFUSALREASON') CREATE INDEX IDX_TSIRM_REFUSALREASON ON T_TSIRM_REFUSALREASON ( FID );


EXEC P_ALTERPK 'PK_TSIRM_UNIFYARGINFO_L', 'T_TSIRM_UNIFYARGINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_UNIFYARGINFO_L') CREATE INDEX IDX_TSIRM_UNIFYARGINFO_L ON T_TSIRM_UNIFYARGINFO_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_UNIFYINTVER', 'T_TSIRM_UNIFYINTVER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_UNIFYINTVERFID') CREATE INDEX IDX_TSIRM_UNIFYINTVERFID ON T_TSIRM_UNIFYINTVER ( FID );


EXEC P_ALTERPK 'PK_TSIRM_INTVEVL', 'T_TSIRM_INTVEVL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_INTVEVLATORID') CREATE INDEX IDX_TSIRM_INTVEVLATORID ON T_TSIRM_INTVEVL ( FINTERVIEWEVALUATORID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_INTVEVLAAPPFILEID') CREATE INDEX IDX_TSIRM_INTVEVLAAPPFILEID ON T_TSIRM_INTVEVL ( FAPPLICATIONID );


EXEC P_ALTERPK 'PK_TSIRM_INTVGROUPENTRY', 'T_TSIRM_INTVGROUPENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_INTVGROUPAPP') CREATE INDEX IDX_TSIRM_INTVGROUPAPP ON T_TSIRM_INTVGROUPENTRY ( FENTRYID );


EXEC P_ALTERPK 'PK_TSIRM_INTVROUNDENTRY', 'T_TSIRM_INTVROUNDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_INTVROUNDFID') CREATE INDEX IDX_TSIRM_INTVROUNDFID ON T_TSIRM_INTVROUNDENTRY ( FID );


EXEC P_ALTERPK 'PK_TSIRM_CANINTVENTRY', 'T_TSIRM_CANINTVENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_INDEXDATE') CREATE INDEX IDX_INDEXDATE ON T_TSIRM_CANINTVENTRY ( FINDEXDATE );


EXEC P_ALTERPK 'PK_TSIRM_CANNOTINTVENTRY', 'T_TSIRM_CANNOTINTVENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_INDEXDATE') CREATE INDEX IDX_TSIRM_INDEXDATE ON T_TSIRM_CANNOTINTVENTRY ( FINDEXDATE );


EXEC P_ALTERPK 'PK_TSIRM_CHANNELRELATION', 'T_TSIRM_CHANNELRELATION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_CHANNELID') CREATE INDEX IDX_TSIRM_CHANNELID ON T_TSIRM_CHANNELRELATION ( FCHANNELID );


EXEC P_ALTERPK 'PK_TSIRM_INTVERFILEMUL', 'T_TSIRM_INTVERFILEMUL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_INTVERFILEMULFDID') CREATE INDEX IDX_TSIRM_INTVERFILEMULFDID ON T_TSIRM_INTVERFILEMUL ( FDETAILID );


EXEC P_ALTERPK 'PK_TSIRM_INTVCALENDAR_L', 'T_TSIRM_INTVCALENDAR_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_INTVCALENDAR_L') CREATE INDEX IDX_TSIRM_INTVCALENDAR_L ON T_TSIRM_INTVCALENDAR_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_INTVEVLANS', 'T_TSIRM_INTVEVLANS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_OPTIONID') CREATE INDEX IDX_TSIRM_OPTIONID ON T_TSIRM_INTVEVLANS ( FSUBOPTIONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_QUESTIONID') CREATE INDEX IDX_TSIRM_QUESTIONID ON T_TSIRM_INTVEVLANS ( FINSPECTQUID );


EXEC P_ALTERPK 'PK_TSIRM_UNIFYARGINFO', 'T_TSIRM_UNIFYARGINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_UNIFARGINTVID') CREATE INDEX IDX_TSIRM_UNIFARGINTVID ON T_TSIRM_UNIFYARGINFO ( FARGINTVID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_UNIFFROUNDID') CREATE INDEX IDX_TSIRM_UNIFFROUNDID ON T_TSIRM_UNIFYARGINFO ( FROUNDID );


EXEC P_ALTERPK 'PK_TSIRM_ARGINTV', 'T_TSIRM_ARGINTV', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ARGINTVHRID') CREATE INDEX IDX_TSIRM_ARGINTVHRID ON T_TSIRM_ARGINTV ( FINTERVIEWARRANGERID );


EXEC P_ALTERPK 'PK_TSIRM_APPFILETASK', 'T_TSIRM_APPFILETASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ARGINTVID') CREATE INDEX IDX_TSIRM_ARGINTVID ON T_TSIRM_APPFILETASK ( FARGINTVID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_INTVGROUPID') CREATE INDEX IDX_TSIRM_INTVGROUPID ON T_TSIRM_APPFILETASK ( FINTVGROUPID );


EXEC P_ALTERPK 'PK_TSIRM_INTVCALENDAR', 'T_TSIRM_INTVCALENDAR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_INTERVIEWERID') CREATE INDEX IDX_TSIRM_INTERVIEWERID ON T_TSIRM_INTVCALENDAR ( FINTERVIEWERID );


EXEC P_ALTERPK 'PK_TSIRM_INTVTASK', 'T_TSIRM_INTVTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_INTERVIEWER') CREATE INDEX IDX_TSIRM_INTERVIEWER ON T_TSIRM_INTVTASK ( FINTERVIEWERID );


EXEC P_ALTERPK 'PK_TSIRM_RESSCR', 'T_TSIRM_RESSCR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RESSCR_FIRECER') CREATE INDEX IDX_TSIRM_RESSCR_FIRECER ON T_TSIRM_RESSCR ( FFILTERRECOMMENDERID );


EXEC P_ALTERPK 'PK_TSIRM_RESSCRTASK', 'T_TSIRM_RESSCRTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RESSCRTASK_FAPPFEPID') CREATE INDEX IDX_TSIRM_RESSCRTASK_FAPPFEPID ON T_TSIRM_RESSCRTASK ( FAPPLICATIONFILEID ,FFILTERHANDLEPEOPLEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RESSCRTASK_FEPIDCT') CREATE INDEX IDX_TSIRM_RESSCRTASK_FEPIDCT ON T_TSIRM_RESSCRTASK ( FFILTERHANDLEPEOPLEID ,FCREATETIME );


EXEC P_ALTERPK 'PK_TSIRM_EXAMRESULT_L', 'T_TSIRM_EXAMRESULT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_EXAMRESULT_L') CREATE INDEX IDX_TSIRM_EXAMRESULT_L ON T_TSIRM_EXAMRESULT_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_EXAMRESULT', 'T_TSIRM_EXAMRESULT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_EXAMRESULT_APPFILEID') CREATE INDEX IDX_TSIRM_EXAMRESULT_APPFILEID ON T_TSIRM_EXAMRESULT ( FAPPFILEID );


EXEC P_ALTERPK 'PK_TSIRM_APPFILESTATUSREC_L', 'T_TSIRM_APPFILESTATUSREC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_APPFILESTATUSREC_L') CREATE INDEX IDX_TSIRM_APPFILESTATUSREC_L ON T_TSIRM_APPFILESTATUSREC_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_APPFILE_L', 'T_TSIRM_APPFILE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_APPFILE_L') CREATE INDEX IDX_TSIRM_APPFILE_L ON T_TSIRM_APPFILE_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_APPFILEFLOWLOCK', 'T_TSIRM_APPFILEFLOWLOCK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_APPFILEFK_FSTDRSMID') CREATE INDEX IDX_TSIRM_APPFILEFK_FSTDRSMID ON T_TSIRM_APPFILEFLOWLOCK ( FSTDRSMID );


EXEC P_ALTERPK 'PK_TSIRM_APPFILE_A', 'T_TSIRM_APPFILE_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_APPFILE_A_FAPPLYTIME') CREATE INDEX IDX_TSIRM_APPFILE_A_FAPPLYTIME ON T_TSIRM_APPFILE_A ( FAPPLYTIME );


EXEC P_ALTERPK 'PK_TSIRM_APPFILETRACE', 'T_TSIRM_APPFILETRACE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_AFTRACE_FAFID') CREATE INDEX IDX_TSIRM_AFTRACE_FAFID ON T_TSIRM_APPFILETRACE ( FAPPFILEID );


EXEC P_ALTERPK 'PK_TSIRM_APPFILESTATUSREC', 'T_TSIRM_APPFILESTATUSREC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_AFSTSREC_APPFILE') CREATE INDEX IDX_TSIRM_AFSTSREC_APPFILE ON T_TSIRM_APPFILESTATUSREC ( FAPPFILEID );


EXEC P_ALTERPK 'PK_TSIRM_APPFILE', 'T_TSIRM_APPFILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_APPFILE_FPOS') CREATE INDEX IDX_TSIRM_APPFILE_FPOS ON T_TSIRM_APPFILE ( FPOSITIONID );


EXEC P_ALTERPK 'PK_TSIRM_PROCESSINST', 'T_TSIRM_PROCESSINST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_PROCESSINST') CREATE INDEX IDX_TSIRM_PROCESSINST ON T_TSIRM_PROCESSINST ( FBOID ,FBIZFID );


EXEC P_ALTERPK 'PK_TSIRM_EMPDELIVERY', 'T_TSIRM_EMPDELIVERY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_EMPDELIVERY_FAPPLY') CREATE INDEX IDX_TSIRM_EMPDELIVERY_FAPPLY ON T_TSIRM_EMPDELIVERY ( FAPPLYTIME );


EXEC P_ALTERPK 'PK_TSIRM_EMPCVREL', 'T_TSIRM_EMPCVREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_EMPCVREL_FEMPID') CREATE INDEX IDX_TSIRM_EMPCVREL_FEMPID ON T_TSIRM_EMPCVREL ( FEMPID );


EXEC P_ALTERPK 'PK_TSIRM_EMPCVRELENTRY', 'T_TSIRM_EMPCVRELENTRY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_EMPCVRELENTRY_EID') CREATE INDEX IDX_TSIRM_EMPCVRELENTRY_EID ON T_TSIRM_EMPCVRELENTRY ( FENTRYID );


EXEC P_ALTERPK 'PK_TSIRM_EMPDELIVBILL', 'T_TSIRM_EMPDELIVBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_EMPDELIVBILL') CREATE INDEX IDX_TSIRM_EMPDELIVBILL ON T_TSIRM_EMPDELIVBILL ( FDELIVCVID );


EXEC P_ALTERPK 'PK_TSIRM_RESERVERE', 'T_TSIRM_RESERVERE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RESERVERE_FTALPOOLID') CREATE INDEX IDX_TSIRM_RESERVERE_FTALPOOLID ON T_TSIRM_RESERVERE ( FTALPOOLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RESERVERE_FSTDRSMID') CREATE INDEX IDX_TSIRM_RESERVERE_FSTDRSMID ON T_TSIRM_RESERVERE ( FSTDRSMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RESERVERE_FISVALID') CREATE INDEX IDX_TSIRM_RESERVERE_FISVALID ON T_TSIRM_RESERVERE ( FISVALID );


EXEC P_ALTERPK 'PK_TSIRM_TALENTPOOLMGT_L', 'T_TSIRM_TALENTPOOLMGT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_TALENTPOOLMGT_L') CREATE INDEX IDX_TSIRM_TALENTPOOLMGT_L ON T_TSIRM_TALENTPOOLMGT_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_TRACERECORD', 'T_TSIRM_TRACERECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_TRACERECORD_SID') CREATE INDEX IDX_TSIRM_TRACERECORD_SID ON T_TSIRM_TRACERECORD ( FSTDRSMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_TRACERECORD_STAID') CREATE INDEX IDX_TSIRM_TRACERECORD_STAID ON T_TSIRM_TRACERECORD ( FJOBSTATUSID );


EXEC P_ALTERPK 'PK_TSIRM_TRACERECORD_L', 'T_TSIRM_TRACERECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_TRACERECORD_L') CREATE INDEX IDX_TSIRM_TRACERECORD_L ON T_TSIRM_TRACERECORD_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_SHARER', 'T_TSIRM_SHARER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_SHAR_FUSERID') CREATE INDEX IDX_TSIRM_SHAR_FUSERID ON T_TSIRM_SHARER ( FUSERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_SHAR_FTMPID') CREATE INDEX IDX_TSIRM_SHAR_FTMPID ON T_TSIRM_SHARER ( FTALENTPOOLID );


EXEC P_ALTERPK 'PK_TSIRM_TALENTPOOLMGT', 'T_TSIRM_TALENTPOOLMGT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_TAL_FPARENTID') CREATE INDEX IDX_TSIRM_TAL_FPARENTID ON T_TSIRM_TALENTPOOLMGT ( FPARENTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSTP_TAL_FRECRUTYPID') CREATE INDEX IDX_TSTP_TAL_FRECRUTYPID ON T_TSIRM_TALENTPOOLMGT ( FRECRUTYPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_TAL_FLONGNUMBER') CREATE INDEX IDX_TSIRM_TAL_FLONGNUMBER ON T_TSIRM_TALENTPOOLMGT ( FLONGNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_TAL_FORGID') CREATE INDEX IDX_TSIRM_TAL_FORGID ON T_TSIRM_TALENTPOOLMGT ( FORGID );


EXEC P_ALTERPK 'PK_TSIRM_CHEDUPENTITY', 'T_TSIRM_CHEDUPENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_CHEDUPENTITY') CREATE INDEX IDX_TSIRM_CHEDUPENTITY ON T_TSIRM_CHEDUPENTITY ( FID );


EXEC P_ALTERPK 'PK_TSIRM_CHEDUPRULER', 'T_TSIRM_CHEDUPRULER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_CHEDUPRULER_BIZTYPE') CREATE INDEX IDX_TSIRM_CHEDUPRULER_BIZTYPE ON T_TSIRM_CHEDUPRULER ( FBIZTYPE );


EXEC P_ALTERPK 'PK_TSIRM_CHEDUPRULER_L', 'T_TSIRM_CHEDUPRULER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_CHEDUPRULER_L') CREATE INDEX IDX_TSIRM_CHEDUPRULER_L ON T_TSIRM_CHEDUPRULER_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_STDRSMSIMILAR', 'T_TSIRM_STDRSMSIMILAR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_STDRSMSIMILAR_STD') CREATE INDEX IDX_TSIRM_STDRSMSIMILAR_STD ON T_TSIRM_STDRSMSIMILAR ( FSTDRSMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_STDRSMSIMILAR_DUP') CREATE INDEX IDX_TSIRM_STDRSMSIMILAR_DUP ON T_TSIRM_STDRSMSIMILAR ( FDUPLICATETYPE );


EXEC P_ALTERPK 'PK_TSIRM_STDPRJEXP', 'T_TSIRM_STDPRJEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_STDPRJEXP_STDRSMID') CREATE INDEX IDX_TSIRM_STDPRJEXP_STDRSMID ON T_TSIRM_STDPRJEXP ( FSTDRSMID );


EXEC P_ALTERPK 'PK_TSIRM_HOBBY', 'T_TSIRM_HOBBY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_HOBBY_FID') CREATE INDEX IDX_TSIRM_HOBBY_FID ON T_TSIRM_HOBBY ( FID );


EXEC P_ALTERPK 'PK_TSIRM_ATTENTION', 'T_TSIRM_ATTENTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ATTENTION_SID') CREATE INDEX IDX_TSIRM_ATTENTION_SID ON T_TSIRM_ATTENTION ( FATTRESUME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ATTENTION_FCREATORID') CREATE INDEX IDX_TSIRM_ATTENTION_FCREATORID ON T_TSIRM_ATTENTION ( FCREATORID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ATTENTION_TYPE') CREATE INDEX IDX_TSIRM_ATTENTION_TYPE ON T_TSIRM_ATTENTION ( FATTRESUMETYPE );


EXEC P_ALTERPK 'PK_TSIRM_BUSIEVENTRELTPL', 'T_TSIRM_BUSIEVENTRELTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_BUSIEVENTRELTPL') CREATE INDEX IDX_TSIRM_BUSIEVENTRELTPL ON T_TSIRM_BUSIEVENTRELTPL ( FSOURCEENTITY ,FBOID );


EXEC P_ALTERPK 'PK_TSIRM_EVENTRELHISTPL', 'T_TSIRM_EVENTRELHISTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_EVENTRELHISTPL') CREATE INDEX IDX_TSIRM_EVENTRELHISTPL ON T_TSIRM_EVENTRELHISTPL ( FVID );


EXEC P_ALTERPK 'PK_TSIRM_EVENTTPL', 'T_TSIRM_EVENTTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_EVENTTPL') CREATE INDEX IDX_TSIRM_EVENTTPL ON T_TSIRM_EVENTTPL ( FCANCELEDEVENTID );


EXEC P_ALTERPK 'PK_TSIRM_STDEDUEXP', 'T_TSIRM_STDEDUEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_STDEDUEXP_STDRSMID') CREATE INDEX IDX_TSIRM_STDEDUEXP_STDRSMID ON T_TSIRM_STDEDUEXP ( FSTDRSMID );


EXEC P_ALTERPK 'PK_TSIRM_STDWORKEXP', 'T_TSIRM_STDWORKEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_STDWORKEXP_STDRSMID') CREATE INDEX IDX_TSIRM_STDWORKEXP_STDRSMID ON T_TSIRM_STDWORKEXP ( FSTDRSMID );


EXEC P_ALTERPK 'PK_TSIRM_STDRSM_A', 'T_TSIRM_STDRSM_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_STDRSM_A_PHONE') CREATE INDEX IDX_TSIRM_STDRSM_A_PHONE ON T_TSIRM_STDRSM_A ( FHOMEPHONE );


EXEC P_ALTERPK 'PK_TSIRM_STDLANGABL', 'T_TSIRM_STDLANGABL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_STDLANG_FSTDRSM') CREATE INDEX IDX_TSIRM_STDLANG_FSTDRSM ON T_TSIRM_STDLANGABL ( FSTDRSMID );


EXEC P_ALTERPK 'PK_TSIRM_STDRELATIONWORK', 'T_TSIRM_STDRELATIONWORK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_STDRELATIONWORK_FSID') CREATE INDEX IDX_TSIRM_STDRELATIONWORK_FSID ON T_TSIRM_STDRELATIONWORK ( FSTDRSMID );


EXEC P_ALTERPK 'PK_TSIRM_SHARERECORD', 'T_TSIRM_SHARERECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_SHARERECORD') CREATE INDEX IDX_TSIRM_SHARERECORD ON T_TSIRM_SHARERECORD ( FBOID ,FSHARERID );


EXEC P_ALTERPK 'PK_TSIRM_BLACKLIST', 'T_TSIRM_BLACKLIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_BLACKLIST_FOBJID') CREATE INDEX IDX_TSIRM_BLACKLIST_FOBJID ON T_TSIRM_BLACKLIST ( FOBJID );


EXEC P_ALTERPK 'PK_TSIRM_STDRSM_B', 'T_TSIRM_STDRSM_B', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_STDRSM_B_VERSION') CREATE INDEX IDX_TSIRM_STDRSM_B_VERSION ON T_TSIRM_STDRSM_B ( FHISVERSION );


EXEC P_ALTERPK 'PK_TSIRM_RSMINTEGRITY', 'T_TSIRM_RSMINTEGRITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMINTEGRITY_FNAME') CREATE INDEX IDX_TSIRM_RSMINTEGRITY_FNAME ON T_TSIRM_RSMINTEGRITY ( FNAME );


EXEC P_ALTERPK 'PK_TSIRM_RSMINTEGRITY_L', 'T_TSIRM_RSMINTEGRITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMINTEGRITY_L') CREATE INDEX IDX_TSIRM_RSMINTEGRITY_L ON T_TSIRM_RSMINTEGRITY_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_STDRSM', 'T_TSIRM_STDRSM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_STDRSM_PHONE') CREATE INDEX IDX_TSIRM_STDRSM_PHONE ON T_TSIRM_STDRSM ( FPHONE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_STDRSM_EMAIL') CREATE INDEX IDX_TSIRM_STDRSM_EMAIL ON T_TSIRM_STDRSM ( FEMAIL );


EXEC P_ALTERPK 'PK_TSIRM_STDPOSORGREL', 'T_TSIRM_STDPOSORGREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_STDPOSORGREL_STDRSM') CREATE INDEX IDX_TSIRM_STDPOSORGREL_STDRSM ON T_TSIRM_STDPOSORGREL ( FSTDRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMLABEL', 'T_TSIRM_RSMLABEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMLABEL') CREATE INDEX IDX_TSIRM_RSMLABEL ON T_TSIRM_RSMLABEL ( FTAGOBJTYPEID ,FTAGOBJID ,FLABELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMLABEL_ID') CREATE INDEX IDX_TSIRM_RSMLABEL_ID ON T_TSIRM_RSMLABEL ( FLABELID );


EXEC P_ALTERPK 'PK_TSIRM_STDRSMLABEL', 'T_TSIRM_STDRSMLABEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_STDRSMLABEL') CREATE INDEX IDX_TSIRM_STDRSMLABEL ON T_TSIRM_STDRSMLABEL ( FTAGOBJTYPEID ,FTAGOBJID ,FLABELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_STDRSMLABEL_ID') CREATE INDEX IDX_TSIRM_STDRSMLABEL_ID ON T_TSIRM_STDRSMLABEL ( FLABELID );


EXEC P_ALTERPK 'PK_TSIRM_APPFILELABEL', 'T_TSIRM_APPFILELABEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM__LABEL_TAGOBJ') CREATE INDEX IDX_TSIRM__LABEL_TAGOBJ ON T_TSIRM_APPFILELABEL ( FTAGOBJTYPEID ,FTAGOBJID ,FLABELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM__LABEL_ID') CREATE INDEX IDX_TSIRM__LABEL_ID ON T_TSIRM_APPFILELABEL ( FLABELID );


EXEC P_ALTERPK 'PK_TSIRM_RDELIVERY', 'T_TSIRM_RDELIVERY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RDELIVERY_FAPPLY') CREATE INDEX IDX_TSIRM_RDELIVERY_FAPPLY ON T_TSIRM_RDELIVERY ( FAPPLYTIME );


EXEC P_ALTERPK 'PK_TSIRM_RDELIVERY_A', 'T_TSIRM_RDELIVERY_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RDELIVERY_A') CREATE INDEX IDX_TSIRM_RDELIVERY_A ON T_TSIRM_RDELIVERY_A ( FEMAILSOURCEID );


EXEC P_ALTERPK 'PK_TSIRM_RSMACDACHV', 'T_TSIRM_RSMACDACHV', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMACDACHV') CREATE INDEX IDX_TSIRM_RSMACDACHV ON T_TSIRM_RSMACDACHV ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMACTVEXP', 'T_TSIRM_RSMACTVEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMACTVEXP_RSMID') CREATE INDEX IDX_TSIRM_RSMACTVEXP_RSMID ON T_TSIRM_RSMACTVEXP ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMAWRHON', 'T_TSIRM_RSMAWRHON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMAWRHON') CREATE INDEX IDX_TSIRM_RSMAWRHON ON T_TSIRM_RSMAWRHON ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMBANKCARD', 'T_TSIRM_RSMBANKCARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMBANKCARD_RSMID') CREATE INDEX IDX_TSIRM_RSMBANKCARD_RSMID ON T_TSIRM_RSMBANKCARD ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMEMRGCTC', 'T_TSIRM_RSMEMRGCTC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMEMRGCTC_RSMID') CREATE INDEX IDX_TSIRM_RSMEMRGCTC_RSMID ON T_TSIRM_RSMEMRGCTC ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMFMLMBR', 'T_TSIRM_RSMFMLMBR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMFMLMBR') CREATE INDEX IDX_TSIRM_RSMFMLMBR ON T_TSIRM_RSMFMLMBR ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMHOBBY', 'T_TSIRM_RSMHOBBY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMHOBBY_FID') CREATE INDEX IDX_TSIRM_RSMHOBBY_FID ON T_TSIRM_RSMHOBBY ( FID );


EXEC P_ALTERPK 'PK_TSIRM_RSMINTEREXP', 'T_TSIRM_RSMINTEREXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMINTEREXP') CREATE INDEX IDX_TSIRM_RSMINTEREXP ON T_TSIRM_RSMINTEREXP ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMPATINV', 'T_TSIRM_RSMPATINV', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_STDPATINV_RSMID') CREATE INDEX IDX_TSIRM_STDPATINV_RSMID ON T_TSIRM_RSMPATINV ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMPERF', 'T_TSIRM_RSMPERF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMPERF_RSMID') CREATE INDEX IDX_TSIRM_RSMPERF_RSMID ON T_TSIRM_RSMPERF ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMPRJEXP', 'T_TSIRM_RSMPRJEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMPRJEXP_RSMID') CREATE INDEX IDX_TSIRM_RSMPRJEXP_RSMID ON T_TSIRM_RSMPRJEXP ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMPROSKL', 'T_TSIRM_RSMPROSKL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMPROSKL') CREATE INDEX IDX_TSIRM_RSMPROSKL ON T_TSIRM_RSMPROSKL ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMRSCHPRJ', 'T_TSIRM_RSMRSCHPRJ', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMRSCHPRJ_RSMID') CREATE INDEX IDX_TSIRM_RSMRSCHPRJ_RSMID ON T_TSIRM_RSMRSCHPRJ ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMSCHJOB', 'T_TSIRM_RSMSCHJOB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMSCHJOB_RSMID') CREATE INDEX IDX_TSIRM_RSMSCHJOB_RSMID ON T_TSIRM_RSMSCHJOB ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMSOCHP', 'T_TSIRM_RSMSOCHP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMSOCHP_RSMID') CREATE INDEX IDX_TSIRM_RSMSOCHP_RSMID ON T_TSIRM_RSMSOCHP ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMTRNEXP', 'T_TSIRM_RSMTRNEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMTRNEXP_RSMID') CREATE INDEX IDX_TSIRM_RSMTRNEXP_RSMID ON T_TSIRM_RSMTRNEXP ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMVOLEXP', 'T_TSIRM_RSMVOLEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMVOLEXP_RSMID') CREATE INDEX IDX_TSIRM_RSMVOLEXP_RSMID ON T_TSIRM_RSMVOLEXP ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMWORKEXP', 'T_TSIRM_RSMWORKEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMWORKEXP_RSMID') CREATE INDEX IDX_TSIRM_RSMWORKEXP_RSMID ON T_TSIRM_RSMWORKEXP ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMWORKRELA', 'T_TSIRM_RSMWORKRELA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMWORKRELA_RSMID') CREATE INDEX IDX_TSIRM_RSMWORKRELA_RSMID ON T_TSIRM_RSMWORKRELA ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSM_A', 'T_TSIRM_RSM_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSM_A') CREATE INDEX IDX_TSIRM_RSM_A ON T_TSIRM_RSM_A ( FCURANLSAL );


EXEC P_ALTERPK 'PK_TSIRM_RSMEDUEXP', 'T_TSIRM_RSMEDUEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMEDUEXP_RSMID') CREATE INDEX IDX_TSIRM_RSMEDUEXP_RSMID ON T_TSIRM_RSMEDUEXP ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMLANGABL', 'T_TSIRM_RSMLANGABL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMLANGABL_RSMID') CREATE INDEX IDX_TSIRM_RSMLANGABL_RSMID ON T_TSIRM_RSMLANGABL ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSM', 'T_TSIRM_RSM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSM_APPFILE') CREATE INDEX IDX_TSIRM_RSM_APPFILE ON T_TSIRM_RSM ( FAPPFILEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RESUME_PHONE') CREATE INDEX IDX_TSIRM_RESUME_PHONE ON T_TSIRM_RSM ( FPHONE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RESUME_EMAIL') CREATE INDEX IDX_TSIRM_RESUME_EMAIL ON T_TSIRM_RSM ( FEMAIL );


EXEC P_ALTERPK 'PK_TSIRM_RSMPOSORGREL', 'T_TSIRM_RSMPOSORGREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMPOSORGREL') CREATE INDEX IDX_TSIRM_RSMPOSORGREL ON T_TSIRM_RSMPOSORGREL ( FRSMID );


EXEC P_ALTERPK 'PK_TSIRM_RSMPOSORGREL_L', 'T_TSIRM_RSMPOSORGREL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RSMPOSORGREL_L') CREATE INDEX IDX_TSIRM_RSMPOSORGREL_L ON T_TSIRM_RSMPOSORGREL_L ( FLOCALEID ,FID );


EXEC P_ALTERPK 'PK_TSIRM_IRWORKADDR', 'T_TSIRM_IRWORKADDR', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_IRWORKADDR_FWAID') CREATE INDEX IDX_TSIRM_IRWORKADDR_FWAID ON T_TSIRM_IRWORKADDR ( FBASEDATAID );


EXEC P_ALTERPK 'PK_TSIRM_BIZCOUNT', 'T_TSIRM_BIZCOUNT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_BIZCOUNT_STAFF') CREATE INDEX IDX_TSIRM_BIZCOUNT_STAFF ON T_TSIRM_BIZCOUNT ( FBIZSTAFF );


EXEC P_ALTERPK 'PK_TSIRM_IRPOSTEROPR', 'T_TSIRM_IRPOSTEROPR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSRBS_RPOSTEROPR_POSTER') CREATE INDEX IDX_TSRBS_RPOSTEROPR_POSTER ON T_TSIRM_IRPOSTEROPR ( FPOSTERID );


EXEC P_ALTERPK 'PK_TSIRM_IRPOSTER', 'T_TSIRM_IRPOSTER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RPOSTER_FPARENTID') CREATE INDEX IDX_TSIRM_RPOSTER_FPARENTID ON T_TSIRM_IRPOSTER ( FPARENTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RPOSTER_FNUMBER') CREATE INDEX IDX_TSIRM_RPOSTER_FNUMBER ON T_TSIRM_IRPOSTER ( FNUMBER );


EXEC P_ALTERPK 'PK_TSIRM_ADVBILL', 'T_TSIRM_ADVBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ADVBILL_FPOSID') CREATE INDEX IDX_TSIRM_ADVBILL_FPOSID ON T_TSIRM_ADVBILL ( FPOSITIONEXID );


EXEC P_ALTERPK 'PK_TSIRM_ADVBILL_L', 'T_TSIRM_ADVBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ADVBILL_L') CREATE INDEX IDX_TSIRM_ADVBILL_L ON T_TSIRM_ADVBILL_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_ADVBILLENTITY_WA', 'T_TSIRM_ADVBILLENTITY_WA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_IRWORKADDR_WA_FWAID') CREATE INDEX IDX_TSIRM_IRWORKADDR_WA_FWAID ON T_TSIRM_ADVBILLENTITY_WA ( FBASEDATAID );


EXEC P_ALTERPK 'PK_TSIRM_ADVBILLENTITY_L', 'T_TSIRM_ADVBILLENTITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ADVBILLENTITY_L') CREATE INDEX IDX_TSIRM_ADVBILLENTITY_L ON T_TSIRM_ADVBILLENTITY_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_ADVERTEX_L', 'T_TSIRM_ADVERTEX_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ADVERTEX_L') CREATE INDEX IDX_TSIRM_ADVERTEX_L ON T_TSIRM_ADVERTEX_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_ADVBILLENTITY', 'T_TSIRM_ADVBILLENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ADVBILLENTITY_FADVID') CREATE INDEX IDX_TSIRM_ADVBILLENTITY_FADVID ON T_TSIRM_ADVBILLENTITY ( FADVID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ADVBILLENTITY_FID') CREATE INDEX IDX_TSIRM_ADVBILLENTITY_FID ON T_TSIRM_ADVBILLENTITY ( FID );


EXEC P_ALTERPK 'PK_TSIRM_HHUNTINGRECORD_L', 'T_TSIRM_HHUNTINGRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_HHUNTINGRECORD_L') CREATE INDEX IDX_TSIRM_HHUNTINGRECORD_L ON T_TSIRM_HHUNTINGRECORD_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_IRRRECORD_L', 'T_TSIRM_IRRRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_IRRRECORD_L') CREATE INDEX IDX_TSIRM_IRRRECORD_L ON T_TSIRM_IRRRECORD_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_ADVBILLENTITY_I', 'T_TSIRM_ADVBILLENTITY_I', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ADVERTENTITY_I_ISTOP') CREATE INDEX IDX_TSIRM_ADVERTENTITY_I_ISTOP ON T_TSIRM_ADVBILLENTITY_I ( FISTOP );


EXEC P_ALTERPK 'PK_TSIRM_ADVERTEX_I', 'T_TSIRM_ADVERTEX_I', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ADVERTEX_I_ISTOP') CREATE INDEX IDX_TSIRM_ADVERTEX_I_ISTOP ON T_TSIRM_ADVERTEX_I ( FISTOP );


EXEC P_ALTERPK 'PK_TSIRM_IRPOSTERENTRY', 'T_TSIRM_IRPOSTERENTRY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSRBS_RPOSTERENTRY_EID') CREATE INDEX IDX_TSRBS_RPOSTERENTRY_EID ON T_TSIRM_IRPOSTERENTRY ( FENTRYID );


EXEC P_ALTERPK 'PK_TSIRM_HHUNTINGRECORD', 'T_TSIRM_HHUNTINGRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_HRECORD_APPFILE') CREATE INDEX IDX_TSIRM_HRECORD_APPFILE ON T_TSIRM_HHUNTINGRECORD ( FCANAPPFILEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_HRECORD_SUPPLIER') CREATE INDEX IDX_TSIRM_HRECORD_SUPPLIER ON T_TSIRM_HHUNTINGRECORD ( FSUPPLIERID );


EXEC P_ALTERPK 'PK_TSIRM_ADVERTEX', 'T_TSIRM_ADVERTEX', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ADVERTEX_FPOSID') CREATE INDEX IDX_TSIRM_ADVERTEX_FPOSID ON T_TSIRM_ADVERTEX ( FPOSID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ADVERTEX_FNUMBER') CREATE INDEX IDX_TSIRM_ADVERTEX_FNUMBER ON T_TSIRM_ADVERTEX ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ADVERTEX_FAPPROVEID') CREATE INDEX IDX_TSIRM_ADVERTEX_FAPPROVEID ON T_TSIRM_ADVERTEX ( FAPPROVEID );


EXEC P_ALTERPK 'PK_TSIRM_IRRDETAIL_L', 'T_TSIRM_IRRDETAIL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_IRRDETAIL_L') CREATE INDEX IDX_TSIRM_IRRDETAIL_L ON T_TSIRM_IRRDETAIL_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_IRRRECORD', 'T_TSIRM_IRRRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_IRRRECORD_CREATORID') CREATE INDEX IDX_TSIRM_IRRRECORD_CREATORID ON T_TSIRM_IRRRECORD ( FCREATORID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_IRRRECORD_FPOSTERID') CREATE INDEX IDX_TSIRM_IRRRECORD_FPOSTERID ON T_TSIRM_IRRRECORD ( FPOSTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_IRRRECORD_APPFILEID') CREATE INDEX IDX_TSIRM_IRRRECORD_APPFILEID ON T_TSIRM_IRRRECORD ( FCANAPPFILEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_IRRRECORD_POSID') CREATE INDEX IDX_TSIRM_IRRRECORD_POSID ON T_TSIRM_IRRRECORD ( FPOSID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_IRRRECORD_ADVID') CREATE INDEX IDX_TSIRM_IRRRECORD_ADVID ON T_TSIRM_IRRRECORD ( FADVID );


EXEC P_ALTERPK 'PK_TSIRM_ADVADMINORGS', 'T_TSIRM_ADVADMINORGS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_ADVADMINORGS_FID') CREATE INDEX IDX_TSIRM_ADVADMINORGS_FID ON T_TSIRM_ADVADMINORGS ( FID );


EXEC P_ALTERPK 'PK_TSIRM_IRRDETAIL', 'T_TSIRM_IRRDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_IRRDETAIL_FRRECORDID') CREATE INDEX IDX_TSIRM_IRRDETAIL_FRRECORDID ON T_TSIRM_IRRDETAIL ( FRRECORDID );


EXEC P_ALTERPK 'PK_TSIRM_POSITION_L', 'T_TSIRM_POSITION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSITION_L') CREATE INDEX IDX_TSIRM_POSITION_L ON T_TSIRM_POSITION_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_POSITIONSNAP_L', 'T_TSIRM_POSITIONSNAP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSITIONSNAP_L') CREATE INDEX IDX_TSIRM_POSITIONSNAP_L ON T_TSIRM_POSITIONSNAP_L ( FVID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_POSWORKADDR', 'T_TSIRM_POSWORKADDR', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSWORKADDR_FID') CREATE INDEX IDX_TSIRM_POSWORKADDR_FID ON T_TSIRM_POSWORKADDR ( FID );


EXEC P_ALTERPK 'PK_TSIRM_POSWORKADDRSNAP', 'T_TSIRM_POSWORKADDRSNAP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSWORKADDRSNAP_FVID') CREATE INDEX IDX_TSIRM_POSWORKADDRSNAP_FVID ON T_TSIRM_POSWORKADDRSNAP ( FVID );


EXEC P_ALTERPK 'PK_TSIRM_POSITIONRULE_L', 'T_TSIRM_POSITIONRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSITIONRULE_L') CREATE INDEX IDX_TSIRM_POSITIONRULE_L ON T_TSIRM_POSITIONRULE_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TSIRM_POSITIONRULE', 'T_TSIRM_POSITIONRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_PRULE_FPOSITIONID') CREATE INDEX IDX_TSIRM_PRULE_FPOSITIONID ON T_TSIRM_POSITIONRULE ( FPOSITIONID );


EXEC P_ALTERPK 'PK_TSIRM_POSORDINATOR', 'T_TSIRM_POSORDINATOR', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSORDINATOR_FID') CREATE INDEX IDX_TSIRM_POSORDINATOR_FID ON T_TSIRM_POSORDINATOR ( FID );


EXEC P_ALTERPK 'PK_TSIRM_POSPRIN', 'T_TSIRM_POSPRIN', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSPRIN_FID') CREATE INDEX IDX_TSIRM_POSPRIN_FID ON T_TSIRM_POSPRIN ( FID );


EXEC P_ALTERPK 'PK_TSIRM_POSITIONBILL', 'T_TSIRM_POSITIONBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSITIONBILL_POS') CREATE INDEX IDX_TSIRM_POSITIONBILL_POS ON T_TSIRM_POSITIONBILL ( FPOSITIONID );


EXEC P_ALTERPK 'PK_TSIRM_AUTHORIZER', 'T_TSIRM_AUTHORIZER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_AUTHORIZER_FID') CREATE INDEX IDX_TSIRM_AUTHORIZER_FID ON T_TSIRM_AUTHORIZER ( FID );


EXEC P_ALTERPK 'PK_TSIRM_POSITIONSNAP', 'T_TSIRM_POSITIONSNAP', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSITIONSNAP_FID') CREATE INDEX IDX_TSIRM_POSITIONSNAP_FID ON T_TSIRM_POSITIONSNAP ( FPOSITIONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSITIONSNAP_FNUM') CREATE INDEX IDX_TSIRM_POSITIONSNAP_FNUM ON T_TSIRM_POSITIONSNAP ( FNUMBER );


EXEC P_ALTERPK 'PK_TSIRM_POSITION_A', 'T_TSIRM_POSITION_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSITION_A_FAGEUP') CREATE INDEX IDX_TSIRM_POSITION_A_FAGEUP ON T_TSIRM_POSITION_A ( FAGEUP );


EXEC P_ALTERPK 'PK_TSIRM_POSITION', 'T_TSIRM_POSITION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSITION_FNUM') CREATE INDEX IDX_TSIRM_POSITION_FNUM ON T_TSIRM_POSITION ( FNUMBER );


EXEC P_ALTERPK 'PK_TSIRM_POSITIONSNAP_A', 'T_TSIRM_POSITIONSNAP_A', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSSNAP_A_FAGEUP') CREATE INDEX IDX_TSIRM_POSSNAP_A_FAGEUP ON T_TSIRM_POSITIONSNAP_A ( FAGEUP );


EXEC P_ALTERPK 'PK_TSIRM_POSMAILREL', 'T_TSIRM_POSMAILREL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSMAILREL_FID') CREATE INDEX IDX_TSIRM_POSMAILREL_FID ON T_TSIRM_POSMAILREL ( FID );


EXEC P_ALTERPK 'PK_TSIRM_RECPLAN', 'T_TSIRM_RECPLAN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_RECPLAN_FID') CREATE INDEX IDX_TSIRM_RECPLAN_FID ON T_TSIRM_RECPLAN ( FID );


EXEC P_ALTERPK 'PK_TSIRM_POSITIONMANAGE', 'T_TSIRM_POSITIONMANAGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSITIONMANAGE_POS') CREATE INDEX IDX_TSIRM_POSITIONMANAGE_POS ON T_TSIRM_POSITIONMANAGE ( FPOSITIONID );


EXEC P_ALTERPK 'PK_TSIRM_POSADMINORGS', 'T_TSIRM_POSADMINORGS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSADMINORGS') CREATE INDEX IDX_TSIRM_POSADMINORGS ON T_TSIRM_POSADMINORGS ( FID ,FBASEDATAID );


EXEC P_ALTERPK 'PK_TSIRM_POSSPADMINORGS', 'T_TSIRM_POSSPADMINORGS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSSPADMINORGS') CREATE INDEX IDX_TSIRM_POSSPADMINORGS ON T_TSIRM_POSSPADMINORGS ( FVID ,FBASEDATAID );


EXEC P_ALTERPK 'PK_TSIRM_HIREAP', 'T_TSIRM_HIREAP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_HIREAP_FBILLNO') CREATE INDEX IDX_TSIRM_HIREAP_FBILLNO ON T_TSIRM_HIREAP ( FBILLNO );


EXEC P_ALTERPK 'PK_TSIRM_HIREAPENTRY_A', 'T_TSIRM_HIREAPENTRY_A', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_HIREAPENTRYB_FID') CREATE INDEX IDX_TSIRM_HIREAPENTRYB_FID ON T_TSIRM_HIREAPENTRY_A ( FID );


EXEC P_ALTERPK 'PK_TSIRM_HIREAPENTRY', 'T_TSIRM_HIREAPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_HIREAPENTRY_FID') CREATE INDEX IDX_TSIRM_HIREAPENTRY_FID ON T_TSIRM_HIREAPENTRY ( FID );


EXEC P_ALTERPK 'PK_TSIRM_HIREAP_L', 'T_TSIRM_HIREAP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_HIREAP_L') CREATE INDEX IDX_TSIRM_HIREAP_L ON T_TSIRM_HIREAP_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\TSIRM_constraint.sql **/
