﻿/**Begin D:\PDM_UPGRADE\PDM1\TSIRM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_ARGINTV_L')
CREATE TABLE T_TSIRM_ARGINTV_L (
                                   FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FINTERVIEWTITLE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_GROUPCANDATE')
CREATE TABLE T_TSIRM_GROUPCANDATE (
                                      FPKID BIGINT DEFAULT 0 NOT NULL,
                                      FDETAILID BIGINT DEFAULT 0 NOT NULL,
                                      FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_INTVCANDATE')
CREATE TABLE T_TSIRM_INTVCANDATE (
                                     FPKID BIGINT DEFAULT 0 NOT NULL,
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_INTVER')
CREATE TABLE T_TSIRM_INTVER (
                                FPKID BIGINT DEFAULT 0 NOT NULL,
                                FDETAILID BIGINT DEFAULT 0 NOT NULL,
                                FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_INTVEVLENTRY')
CREATE TABLE T_TSIRM_INTVEVLENTRY (
                                      FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FINTVEVLID BIGINT DEFAULT 0 NOT NULL,
                                      FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_INTVGROUPENTRY_L')
CREATE TABLE T_TSIRM_INTVGROUPENTRY_L (
                                          FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                          FDETAILID BIGINT DEFAULT 0 NOT NULL,
                                          FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FINTERVIEWLOCATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FINTERVIEWROOM NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_INTVTASK_L')
CREATE TABLE T_TSIRM_INTVTASK_L (
                                    FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                    FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_INTVEVLANS_L')
CREATE TABLE T_TSIRM_INTVEVLANS_L (
                                      FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FSUBANSWER NVARCHAR(1000) DEFAULT ' ' NOT NULL,
                                      FCOMMENT NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_APPFILETASK_L')
CREATE TABLE T_TSIRM_APPFILETASK_L (
                                       FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FREFUSALCAUSE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_REFUSALREASON')
CREATE TABLE T_TSIRM_REFUSALREASON (
                                       FPKID BIGINT DEFAULT 0 NOT NULL,
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_UNIFYARGINFO_L')
CREATE TABLE T_TSIRM_UNIFYARGINFO_L (
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FUNIFYINTERVIEWADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FUNIFYFINTERVIEWROOM NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_UNIFYINTVER')
CREATE TABLE T_TSIRM_UNIFYINTVER (
                                     FPKID BIGINT DEFAULT 0 NOT NULL,
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_INTVEVL')
CREATE TABLE T_TSIRM_INTVEVL (
                                 FID BIGINT DEFAULT 0 NOT NULL,
                                 FARGINTVID BIGINT DEFAULT 0 NOT NULL,
                                 FROUNDID BIGINT DEFAULT 0 NOT NULL,
                                 FINTVGROUPID BIGINT DEFAULT 0 NOT NULL,
                                 FAPPFILETASKID BIGINT DEFAULT 0 NOT NULL,
                                 FAPPLICATIONID BIGINT DEFAULT 0 NOT NULL,
                                 FRESUMEID BIGINT DEFAULT 0 NOT NULL,
                                 FINTVTASKID BIGINT DEFAULT 0 NOT NULL,
                                 FINTERVIEWERID BIGINT DEFAULT 0 NOT NULL,
                                 FINTERVIEWEVALUATORID BIGINT DEFAULT 0 NOT NULL,
                                 FINTVEVLRSLT VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FINTERVIEWCONTENT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
                                 FINTERVIEWSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FHANDLESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FINTERVIEWEVALUATIONTIME DATETIME,
                                 FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                 FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                 FCREATETIME DATETIME,
                                 FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_INTVGROUPENTRY')
CREATE TABLE T_TSIRM_INTVGROUPENTRY (
                                        FDETAILID BIGINT DEFAULT 0 NOT NULL,
                                        FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                        FINTVDATE DATETIME,
                                        FINTVSTARTTIME INT DEFAULT 0 NOT NULL,
                                        FINTVENDTIME INT DEFAULT 0 NOT NULL,
                                        FADMINDIVISIONID NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FINTERVIEWLOCATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FINTERVIEWROOM NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FCANDATEVEDIOADDRESS VARCHAR(1000) DEFAULT ' ' NOT NULL,
                                        FINTVERVEDIOADDRESS VARCHAR(1000) DEFAULT ' ' NOT NULL,
                                        FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_INTVROUNDENTRY')
CREATE TABLE T_TSIRM_INTVROUNDENTRY (
                                        FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FINTERVIEWTHEMEID BIGINT DEFAULT 0 NOT NULL,
                                        FINTERVIEWSTAGEID BIGINT DEFAULT 0 NOT NULL,
                                        FINTERVIEWMETHODID BIGINT DEFAULT 0 NOT NULL,
                                        FINTERVIEWEVLID BIGINT DEFAULT 0 NOT NULL,
                                        FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_CANINTVENTRY')
CREATE TABLE T_TSIRM_CANINTVENTRY (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                      FINDEXDATE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FSTARTTIME DATETIME,
                                      FENDTIME DATETIME,
                                      FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_CANNOTINTVENTRY')
CREATE TABLE T_TSIRM_CANNOTINTVENTRY (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                         FINDEXDATE DATETIME,
                                         FSTARTTIME DATETIME,
                                         FENDTIME DATETIME,
                                         FDATASOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                         FSEQ INT DEFAULT 0 NOT NULL,
                                         FCHANNELID NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_CHANNELRELATION')
CREATE TABLE T_TSIRM_CHANNELRELATION (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FARGINTVID BIGINT DEFAULT 0 NOT NULL,
                                         FROUNDID BIGINT DEFAULT 0 NOT NULL,
                                         FINTVGROUPID BIGINT DEFAULT 0 NOT NULL,
                                         FCHANNELTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                         FCHANNELID NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_INTVERFILEMUL')
CREATE TABLE T_TSIRM_INTVERFILEMUL (
                                       FPKID BIGINT DEFAULT 0 NOT NULL,
                                       FDETAILID BIGINT DEFAULT 0 NOT NULL,
                                       FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_INTVCALENDAR_L')
CREATE TABLE T_TSIRM_INTVCALENDAR_L (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_INTVEVLANS')
CREATE TABLE T_TSIRM_INTVEVLANS (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FINTVEVLQUNRID BIGINT DEFAULT 0 NOT NULL,
                                    FINTVEVLID BIGINT DEFAULT 0 NOT NULL,
                                    FINSPECTDIMID BIGINT DEFAULT 0 NOT NULL,
                                    FINSPECTQUID BIGINT DEFAULT 0 NOT NULL,
                                    FSUBOPTIONID BIGINT DEFAULT 0 NOT NULL,
                                    FSUBANSWER NVARCHAR(1000) DEFAULT ' ' NOT NULL,
                                    FCOMMENT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
                                    FSTATUS NVARCHAR(50) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_UNIFYARGINFO')
CREATE TABLE T_TSIRM_UNIFYARGINFO (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FARGINTVID BIGINT DEFAULT 0 NOT NULL,
                                      FROUNDID BIGINT DEFAULT 0 NOT NULL,
                                      FUNIFYINTVTIME INT DEFAULT 0 NOT NULL,
                                      FUNIFYDURATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FUNIFADMINDIVISIONID NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FUNIFYINTERVIEWADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FUNIFYFINTERVIEWROOM NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FHALFBEGINTIME INT DEFAULT 0 NOT NULL,
                                      FHALFENDTIME INT DEFAULT 0 NOT NULL,
                                      FUNIFYPERSONNUM INT DEFAULT 0 NOT NULL,
                                      FUNIFYGROUPNUM INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_ARGINTV')
CREATE TABLE T_TSIRM_ARGINTV (
                                 FID BIGINT DEFAULT 0 NOT NULL,
                                 FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
                                 FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                 FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FARRANGEANTIME DATETIME,
                                 FINTERVIEWARRANGERID BIGINT DEFAULT 0 NOT NULL,
                                 FINTERVIEWTITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                 FRECRUITMENTSTAGE BIGINT DEFAULT 0 NOT NULL,
                                 FINTVORGFRM VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FRECEPTIONIST VARCHAR(50) DEFAULT ' ' NOT NULL,
                                 FCCPERSON VARCHAR(50) DEFAULT ' ' NOT NULL,
                                 FINTERVIEWSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FINTVEVLSTS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FEMAIL2COPIEDPERSON CHAR(1) DEFAULT ' ' NOT NULL,
                                 FSMS2COPIEDPERSON CHAR(1) DEFAULT ' ' NOT NULL,
                                 FEMAIL2INTERVIEWER CHAR(1) DEFAULT ' ' NOT NULL,
                                 FSMS2INTERVIEWER CHAR(1) DEFAULT ' ' NOT NULL,
                                 FEMAIL2RECEPTIONIST CHAR(1) DEFAULT ' ' NOT NULL,
                                 FSMS2RECEPTIONIST CHAR(1) DEFAULT ' ' NOT NULL,
                                 FNOTICEINTERVIEWER CHAR(1) DEFAULT ' ' NOT NULL,
                                 FNOTICECOPIEDPERSON CHAR(1) DEFAULT ' ' NOT NULL,
                                 FNOTICERECEPTIONIST CHAR(1) DEFAULT ' ' NOT NULL,
                                 FRECPTHEME NVARCHAR(120) DEFAULT ' ' NOT NULL,
                                 FCOPITHEME NVARCHAR(120) DEFAULT ' ' NOT NULL,
                                 FINTETHEME NVARCHAR(120) DEFAULT ' ' NOT NULL,
                                 FTXTMAILINTERVIEWER NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FTXTMAILINTERVIEWER_TAG NCLOB,
                                 FTXTMAILCANDIDATE NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FTXTMAILCANDIDATE_TAG NCLOB,
                                 FTXTMAILUNAWARES NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FTXTMAILUNAWARES_TAG NCLOB,
                                 FTXTSMSINTERVIEWER NVARCHAR(450) DEFAULT ' ' NOT NULL,
                                 FTXTSMSUNAWARES NVARCHAR(450) DEFAULT ' ' NOT NULL,
                                 FTXTSMSCANDIDATE NVARCHAR(450) DEFAULT ' ' NOT NULL,
                                 FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                 FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                 FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                 FCREATETIME DATETIME,
                                 FMODIFYTIME DATETIME,
                                 FDISABLEDATE DATETIME,
                                 FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                 FINDEX BIGINT DEFAULT 0 NOT NULL,
                                 FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
                                 FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                 FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
                                 FPICTUREFIELD NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_APPFILETASK')
CREATE TABLE T_TSIRM_APPFILETASK (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FAPPLICATIONID BIGINT DEFAULT 0 NOT NULL,
                                     FARGINTVID BIGINT DEFAULT 0 NOT NULL,
                                     FROUNDID BIGINT DEFAULT 0 NOT NULL,
                                     FINTVGROUPID BIGINT DEFAULT 0 NOT NULL,
                                     FSIGNINTIME DATETIME,
                                     FINTVTIME DATETIME,
                                     FSIGNINSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FAPPLICATIONANSWER VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FTASKSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FINTVEVLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FINTVERSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FURGEANSWERTIME DATETIME,
                                     FURGEINTVEVLTIME DATETIME,
                                     FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
                                     FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATETIME DATETIME,
                                     FMODIFYTIME DATETIME,
                                     FDISABLEDATE DATETIME,
                                     FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                     FINDEX BIGINT DEFAULT 0 NOT NULL,
                                     FREFUSALCAUSE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_INTVCALENDAR')
CREATE TABLE T_TSIRM_INTVCALENDAR (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
                                      FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FINTERVIEWERID BIGINT DEFAULT 0 NOT NULL,
                                      FHIDDENAGING DATETIME,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFYTIME DATETIME,
                                      FDISABLEDATE DATETIME,
                                      FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                      FINDEX BIGINT DEFAULT 0 NOT NULL,
                                      FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
                                      FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FENABLE VARCHAR(2) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_INTVTASK')
CREATE TABLE T_TSIRM_INTVTASK (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FARGINTVID BIGINT DEFAULT 0 NOT NULL,
                                  FROUNDID BIGINT DEFAULT 0 NOT NULL,
                                  FINTVGROUPID BIGINT DEFAULT 0 NOT NULL,
                                  FINTVERFILELD BIGINT DEFAULT 0 NOT NULL,
                                  FINTERVIEWERID BIGINT DEFAULT 0 NOT NULL,
                                  FPASSEDPERSON BIGINT DEFAULT 0 NOT NULL,
                                  FPASSEDPERSONFROM BIGINT DEFAULT 0 NOT NULL,
                                  FINTERVERANSWER VARCHAR(2) DEFAULT ' ' NOT NULL,
                                  FTASKSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                  FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                  FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
                                  FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                  FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                  FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                  FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                  FCREATETIME DATETIME,
                                  FMODIFYTIME DATETIME,
                                  FDISABLEDATE DATETIME,
                                  FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                  FINDEX BIGINT DEFAULT 0 NOT NULL,
                                  FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
                                  FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                  FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RESSCR')
CREATE TABLE T_TSIRM_RESSCR (
                                FID BIGINT DEFAULT 0 NOT NULL,
                                FFILTERRECOMMENDERID BIGINT DEFAULT 0 NOT NULL,
                                FFILTERREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                FNOTICEMETHOD VARCHAR(100) DEFAULT ' ' NOT NULL,
                                FFILTERRECOMMENDTIME DATETIME,
                                FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                FCREATETIME DATETIME,
                                FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RESSCRTASK')
CREATE TABLE T_TSIRM_RESSCRTASK (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FBILLNO VARCHAR(20) DEFAULT ' ' NOT NULL,
                                    FRESSCRID BIGINT DEFAULT 0 NOT NULL,
                                    FAPPLICATIONFILEID BIGINT DEFAULT 0 NOT NULL,
                                    FFILTERHANDLEPEOPLEID BIGINT DEFAULT 0 NOT NULL,
                                    FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
                                    FRECRUITMENTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                    FRECRUITMENTSTAGEID BIGINT DEFAULT 0 NOT NULL,
                                    FFILTERDEADLINE DATETIME,
                                    FFILTERFEEDBACKSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                    FFILTERFEEDBACKCONCLUSION VARCHAR(2) DEFAULT ' ' NOT NULL,
                                    FFILTERFEEDBACKCONTIME DATETIME,
                                    FFILTEROPINION NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                    FFILTERRECOMMENDERID BIGINT DEFAULT 0 NOT NULL,
                                    FFLOWTASKNUM VARCHAR(60) DEFAULT ' ' NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFYTIME DATETIME,
                                    FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                    FBILLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_EXAMRESULT_L')
CREATE TABLE T_TSIRM_EXAMRESULT_L (
                                      FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
                                      FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_EXAMRESULT')
CREATE TABLE T_TSIRM_EXAMRESULT (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
                                    FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
                                    FEXAMTIME DATETIME,
                                    FSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
                                    FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                    FEXAMTYPE VARCHAR(4) DEFAULT ' ' NOT NULL,
                                    FRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
                                    FISDELETED CHAR(1) DEFAULT '0' NOT NULL,
                                    FATTACHFILENUM INT DEFAULT 0 NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_APPFILESTATUSREC_L')
CREATE TABLE T_TSIRM_APPFILESTATUSREC_L (
                                            FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                            FID BIGINT DEFAULT 0 NOT NULL,
                                            FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                            FDETAILEDREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_APPFILE_L')
CREATE TABLE T_TSIRM_APPFILE_L (
                                   FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FLASTEXAMWNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
                                   FLASTEXAMATITLE NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_APPFILEFLOWLOCK')
CREATE TABLE T_TSIRM_APPFILEFLOWLOCK (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
                                         FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
                                         FLOCKTIME DATETIME,
                                         FAUTOUNLOCKTIME DATETIME,
                                         FLOCKERID BIGINT DEFAULT 0 NOT NULL,
                                         FISLOCKED CHAR(1) DEFAULT '0' NOT NULL,
                                         FUNLOCKTYPE VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_APPFILE_A')
CREATE TABLE T_TSIRM_APPFILE_A (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FBIRTHDAY DATETIME,
                                   FHIGHESTEDUSCHOOLID BIGINT DEFAULT 0 NOT NULL,
                                   FHIGHESTEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
                                   FHIGHESTSPECIALTY NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FAPPLYTIME DATETIME,
                                   FRESACQMTHDID BIGINT DEFAULT 0 NOT NULL,
                                   FRECRUCHNLNMID BIGINT DEFAULT 0 NOT NULL,
                                   FNOFKFILTERFKNUM INT DEFAULT 0 NOT NULL,
                                   FSUITFILTERFKNUM INT DEFAULT 0 NOT NULL,
                                   FNOSUITFILTERFKNUM INT DEFAULT 0 NOT NULL,
                                   FPENDFILTERFKNUM INT DEFAULT 0 NOT NULL,
                                   FTFPOSFILTERFKNUM INT DEFAULT 0 NOT NULL,
                                   FLASTFILTERFKSTARTTIME DATETIME,
                                   FFILTERSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
                                   FINTERVIEWTIME DATETIME,
                                   FEMPLOYRECOMNEWESTTIME DATETIME,
                                   FEMPLOYAPPRLNEWESTTIME DATETIME,
                                   FLASTHIREJOBRANKSTARTTIME DATETIME,
                                   FLASTHIRESALARYSTARTIME DATETIME,
                                   FLASTEXAMWTIME DATETIME,
                                   FLASTEXAMWSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
                                   FLASTEXAMATIME DATETIME,
                                   FLASTEXAMARESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
                                   FEMPTIME DATETIME,
                                   FENDEMPTIME DATETIME,
                                   FEMPLOYEESID BIGINT DEFAULT 0 NOT NULL,
                                   FRECENTNOTICTIME DATETIME,
                                   FLASTRESULT VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FRECENTCFGMSGSCENEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_APPFILETRACE')
CREATE TABLE T_TSIRM_APPFILETRACE (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FINRECRUSTGID BIGINT DEFAULT 0 NOT NULL,
                                      FOUTRECRUSTGID BIGINT DEFAULT 0 NOT NULL,
                                      FINRECRUSTATID BIGINT DEFAULT 0 NOT NULL,
                                      FOUTRECRUSTATID BIGINT DEFAULT 0 NOT NULL,
                                      FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
                                      FINCTLINKTIME DATETIME,
                                      FINCTSTATUSTIME DATETIME,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFYTIME DATETIME,
                                      FRECRURSNID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_APPFILESTATUSREC')
CREATE TABLE T_TSIRM_APPFILESTATUSREC (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FOPERATETIME DATETIME,
                                          FREASONID BIGINT DEFAULT 0 NOT NULL,
                                          FDETAILEDREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
                                          FOPERATETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                          FOPERATORID BIGINT DEFAULT 0 NOT NULL,
                                          FOLDFILESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                          FNEWFILESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                          FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                          FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                          FCREATETIME DATETIME,
                                          FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_APPFILE')
CREATE TABLE T_TSIRM_APPFILE (
                                 FID BIGINT DEFAULT 0 NOT NULL,
                                 FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                 FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                 FPOSITIONSNAPID BIGINT DEFAULT 0 NOT NULL,
                                 FRECRUSTATID BIGINT DEFAULT 0 NOT NULL,
                                 FDELIVERYRECID BIGINT DEFAULT 0 NOT NULL,
                                 FAPPRESID BIGINT DEFAULT 0 NOT NULL,
                                 FISBINDDELYREC CHAR(1) DEFAULT ' ' NOT NULL,
                                 FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                 FRECRUSTGID BIGINT DEFAULT 0 NOT NULL,
                                 FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
                                 FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                 FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                 FCREATETIME DATETIME,
                                 FMODIFYTIME DATETIME,
                                 FENTERLINKTIME DATETIME,
                                 FELIMINATETIME DATETIME,
                                 FFILESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FVALIDRECRUCHNLNMID BIGINT DEFAULT 0 NOT NULL,
                                 FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                 FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
                                 FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                 FRECRUPROCID BIGINT DEFAULT 0 NOT NULL,
                                 FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                 FEMAIL VARCHAR(100) DEFAULT ' ' NOT NULL,
                                 FJOBSTATUSID BIGINT DEFAULT 0 NOT NULL,
                                 FOFFERSTATUSID BIGINT DEFAULT 0 NOT NULL,
                                 FINTVPROGRESS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FINTVEVALRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FEMPOLYFEEDBACKRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FJOBRANKSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FSETSALARYSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FEMPLOYAPPRLSATATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
                                 FQACHECKRESULT VARCHAR(30) DEFAULT ' ' NOT NULL,
                                 FBGSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_PROCESSINST')
CREATE TABLE T_TSIRM_PROCESSINST (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATETIME DATETIME,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFYTIME DATETIME,
                                     FRQMTPROCID BIGINT DEFAULT 0 NOT NULL,
                                     FBOID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FBIZFID BIGINT DEFAULT 0 NOT NULL,
                                     FRECRUSTGID BIGINT DEFAULT 0 NOT NULL,
                                     FRECRUSTATID BIGINT DEFAULT 0 NOT NULL,
                                     FINDEX INT DEFAULT 0 NOT NULL,
                                     FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FISOVER VARCHAR(1) DEFAULT ' ' NOT NULL,
                                     FINRECRUSTGID BIGINT DEFAULT 0 NOT NULL,
                                     FINRECRUSTATID BIGINT DEFAULT 0 NOT NULL,
                                     FOUTRECRUSTGID BIGINT DEFAULT 0 NOT NULL,
                                     FOUTRECRUSTATID BIGINT DEFAULT 0 NOT NULL,
                                     FINCTLINKTIME DATETIME,
                                     FINCTSTATUSTIME DATETIME,
                                     FRECRURSNID BIGINT DEFAULT 0 NOT NULL,
                                     FDURATION VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_EMPDELIVERY')
CREATE TABLE T_TSIRM_EMPDELIVERY (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FAPPLYTIME DATETIME,
                                     FDELIVERYPERID BIGINT DEFAULT 0 NOT NULL,
                                     FDELIVCVID BIGINT DEFAULT 0 NOT NULL,
                                     FCVID BIGINT DEFAULT 0 NOT NULL,
                                     FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                     FDELIVTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FADVERTID BIGINT DEFAULT 0 NOT NULL,
                                     FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATETIME DATETIME,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_EMPCVREL')
CREATE TABLE T_TSIRM_EMPCVREL (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
                                  FEMPID BIGINT DEFAULT 0 NOT NULL,
                                  FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                  FCREATETIME DATETIME,
                                  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                  FMODIFYTIME DATETIME,
                                  FISOPEN CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_EMPCVRELENTRY')
CREATE TABLE T_TSIRM_EMPCVRELENTRY (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                       FCVID BIGINT DEFAULT 0 NOT NULL,
                                       FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_EMPDELIVBILL')
CREATE TABLE T_TSIRM_EMPDELIVBILL (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FDELIVERYID BIGINT DEFAULT 0 NOT NULL,
                                      FDELIVCVID BIGINT DEFAULT 0 NOT NULL,
                                      FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
                                      FBILLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFYTIME DATETIME,
                                      FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                      FAUDITDATE DATETIME,
                                      FEVENTEFFECTDATE DATETIME,
                                      FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
                                      FISEXISTSWORKFLOW VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FINPUTDEVICETYPE VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RESERVERE')
CREATE TABLE T_TSIRM_RESERVERE (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FTALPOOLID BIGINT DEFAULT 0 NOT NULL,
                                   FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
                                   FRESERVETIME DATETIME,
                                   FRESERVEPERID BIGINT DEFAULT 0 NOT NULL,
                                   FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME,
                                   FISVALID CHAR(1) DEFAULT '0' NOT NULL,
                                   FISMERGE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_TALENTPOOLMGT_L')
CREATE TABLE T_TSIRM_TALENTPOOLMGT_L (
                                         FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FFULLNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL,
                                         FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_TRACERECORD')
CREATE TABLE T_TSIRM_TRACERECORD (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
                                     FTRACKPERID BIGINT DEFAULT 0 NOT NULL,
                                     FTRACKTIME DATETIME,
                                     FJOBSTATUSID BIGINT DEFAULT 0 NOT NULL,
                                     FTRACKFEED NVARCHAR(1000) DEFAULT ' ' NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATETIME DATETIME,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFYTIME DATETIME,
                                     FMID CHAR(1) DEFAULT '0' NOT NULL,
                                     FDESCRIPTION NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_TRACERECORD_L')
CREATE TABLE T_TSIRM_TRACERECORD_L (
                                       FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FDESCRIPTION NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_SHARER')
CREATE TABLE T_TSIRM_SHARER (
                                FID BIGINT DEFAULT 0 NOT NULL,
                                FTALENTPOOLID BIGINT DEFAULT 0 NOT NULL,
                                FUSERID BIGINT DEFAULT 0 NOT NULL,
                                FSHARTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_TALENTPOOLMGT')
CREATE TABLE T_TSIRM_TALENTPOOLMGT (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FORGID BIGINT DEFAULT 0 NOT NULL,
                                       FPARENTID BIGINT DEFAULT 0 NOT NULL,
                                       FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                       FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FLONGNUMBER NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                       FFULLNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL,
                                       FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FRECRUTYPID BIGINT DEFAULT 0 NOT NULL,
                                       FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                       FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
                                       FLEVEL INT DEFAULT 0 NOT NULL,
                                       FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                       FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
                                       FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
                                       FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                       FCREATETIME DATETIME,
                                       FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                       FMODIFYTIME DATETIME,
                                       FINDEX INT DEFAULT 0 NOT NULL,
                                       FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                       FDISABLEDATE DATETIME,
                                       FNODETYPE CHAR(1) DEFAULT ' ' NOT NULL,
                                       FSECLEVEL BIGINT DEFAULT 0 NOT NULL,
                                       FPOOLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
                                       FCOUNTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_CHEDUPENTITY')
CREATE TABLE T_TSIRM_CHEDUPENTITY (
                                      FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                      FSEQ INT DEFAULT 0 NOT NULL,
                                      FBLOCK VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FFIELDNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FBLOCKMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FFIELDMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_CHEDUPRULER')
CREATE TABLE T_TSIRM_CHEDUPRULER (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATETIME DATETIME,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFYTIME DATETIME,
                                     FHANDLERCLASS VARCHAR(1000) DEFAULT ' ' NOT NULL,
                                     FINDEX INT DEFAULT 0 NOT NULL,
                                     FISSYSPRESET VARCHAR(1) DEFAULT ' ' NOT NULL,
                                     FTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FBIZTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
                                     FDUPLICATETYPE VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_CHEDUPRULER_L')
CREATE TABLE T_TSIRM_CHEDUPRULER_L (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                       FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_STDRSMSIMILAR')
CREATE TABLE T_TSIRM_STDRSMSIMILAR (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
                                       FSIMILARRSM BIGINT DEFAULT 0 NOT NULL,
                                       FSTDRSMHIS BIGINT DEFAULT 0 NOT NULL,
                                       FDUPLICATETYPE CHAR(1) DEFAULT ' ' NOT NULL,
                                       FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                       FCREATETIME DATETIME,
                                       FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                       FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_STDPRJEXP')
CREATE TABLE T_TSIRM_STDPRJEXP (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
                                   FINDEX INT DEFAULT 0 NOT NULL,
                                   FSTARTDATE DATETIME,
                                   FENDINGDATE DATETIME,
                                   FPROJECTDURATION INT DEFAULT 0 NOT NULL,
                                   FPROJECTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FBELONGSCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FPROJECTJOB NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FPROJECTRESP NVARCHAR(1500) DEFAULT ' ' NOT NULL,
                                   FPROJECTPERF NVARCHAR(1500) DEFAULT ' ' NOT NULL,
                                   FPROJECTDESC NVARCHAR(1500) DEFAULT ' ' NOT NULL,
                                   FPROJECTURL VARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_HOBBY')
CREATE TABLE T_TSIRM_HOBBY (
                               FPKID BIGINT DEFAULT 0 NOT NULL,
                               FID BIGINT DEFAULT 0 NOT NULL,
                               FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_ATTENTION')
CREATE TABLE T_TSIRM_ATTENTION (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FATTRESUME BIGINT DEFAULT 0 NOT NULL,
                                   FATTRESUMETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_BUSIEVENTRELTPL')
CREATE TABLE T_TSIRM_BUSIEVENTRELTPL (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFYTIME DATETIME,
                                         FSOURCEENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FBOID BIGINT DEFAULT 0 NOT NULL,
                                         FISBUSINESSEVENTBO VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FCANCELEDEVENTID BIGINT DEFAULT 0 NOT NULL,
                                         FOPERATEUSERID BIGINT DEFAULT 0 NOT NULL,
                                         FOPERATEDATE DATETIME,
                                         FEVENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_EVENTRELHISTPL')
CREATE TABLE T_TSIRM_EVENTRELHISTPL (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATETIME DATETIME,
                                        FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                        FMODIFYTIME DATETIME,
                                        FVID BIGINT DEFAULT 0 NOT NULL,
                                        FPRESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPREBSED DATETIME,
                                        FPREBSLED DATETIME,
                                        FBUSIEVENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_EVENTTPL')
CREATE TABLE T_TSIRM_EVENTTPL (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                  FCREATETIME DATETIME,
                                  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                  FMODIFYTIME DATETIME,
                                  FEVENTTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FEXECUTEWAY VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FEVENTBATCHTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FCANCELEDEVENTID BIGINT DEFAULT 0 NOT NULL,
                                  FOPERATEUSERID BIGINT DEFAULT 0 NOT NULL,
                                  FOPERATEDATE DATETIME,
                                  FINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_STDEDUEXP')
CREATE TABLE T_TSIRM_STDEDUEXP (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
                                   FINDEX INT DEFAULT 0 NOT NULL,
                                   FSTARTDATE DATETIME,
                                   FENDINGDATE DATETIME,
                                   FLENGTHOFSTUDY INT DEFAULT 0 NOT NULL,
                                   FSCHOOLNAMEID BIGINT DEFAULT 0 NOT NULL,
                                   FOTHSCHNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FSPECIALTYCATEGORYID BIGINT DEFAULT 0 NOT NULL,
                                   FSPECIALTYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
                                   FDEGREEID BIGINT DEFAULT 0 NOT NULL,
                                   FISHIGHESTEDU CHAR(1) DEFAULT ' ' NOT NULL,
                                   FEDUCATIONFORMID BIGINT DEFAULT 0 NOT NULL,
                                   FISFULLTIME CHAR(1) DEFAULT ' ' NOT NULL,
                                   FISDBLDEGREESPECIALTY CHAR(1) DEFAULT ' ' NOT NULL,
                                   FTUTORNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FCLASSRANK INT DEFAULT 0 NOT NULL,
                                   FWITNESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FWITNESSRELATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FWITNESSPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                   FSPECIALISTRANK INT DEFAULT 0 NOT NULL,
                                   FGRADEPOINT DECIMAL(19,2) DEFAULT 0 NOT NULL,
                                   FISHASMAKEUPCOUR CHAR(1) DEFAULT ' ' NOT NULL,
                                   FMAKEUPCOUR NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FISOVERSEASEXP CHAR(1) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_STDWORKEXP')
CREATE TABLE T_TSIRM_STDWORKEXP (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
                                    FINDEX INT DEFAULT 0 NOT NULL,
                                    FSTARTDATE DATETIME,
                                    FENDINGDATE DATETIME,
                                    FLENGTHOFWORK INT DEFAULT 0 NOT NULL,
                                    FCOMPANYNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
                                    FPOSITIONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FPOSCATID BIGINT DEFAULT 0 NOT NULL,
                                    FCITYID BIGINT DEFAULT 0 NOT NULL,
                                    FWORKRESPONSIBILITY NVARCHAR(1500) DEFAULT ' ' NOT NULL,
                                    FWORKACHIEVEMENT NVARCHAR(1500) DEFAULT ' ' NOT NULL,
                                    FISRECWORK CHAR(1) DEFAULT ' ' NOT NULL,
                                    FCOMPANYSIZE INT DEFAULT 0 NOT NULL,
                                    FINDUSTRYTYPEID BIGINT DEFAULT 0 NOT NULL,
                                    FCOMPANYNATUREID BIGINT DEFAULT 0 NOT NULL,
                                    FDEPARTMENT NVARCHAR(200) DEFAULT ' ' NOT NULL,
                                    FQUITREASONID BIGINT DEFAULT 0 NOT NULL,
                                    FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                    FANNUALSALARY INT DEFAULT 0 NOT NULL,
                                    FUNDERLINGNUMBER INT DEFAULT 0 NOT NULL,
                                    FREPORTOBJECT NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FJOBNATUREID BIGINT DEFAULT 0 NOT NULL,
                                    FWITNESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FWITNESSPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_STDRSM_A')
CREATE TABLE T_TSIRM_STDRSM_A (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FNATIVEPLACEID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                  FISCOMPAGRRESTR CHAR(1) DEFAULT ' ' NOT NULL,
                                  FISCRIMRECD CHAR(1) DEFAULT ' ' NOT NULL,
                                  FISBUSCONFINTR CHAR(1) DEFAULT ' ' NOT NULL,
                                  FSELFEVALUATION NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                  FPARTORG NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                  FISFRESHGRADUATE CHAR(1) DEFAULT ' ' NOT NULL,
                                  FEXPTANLSALCURCID BIGINT DEFAULT 0 NOT NULL,
                                  FEXPTANLSAL INT DEFAULT 0 NOT NULL,
                                  FEXPTMONSALCURCID BIGINT DEFAULT 0 NOT NULL,
                                  FEXPTMONSAL INT DEFAULT 0 NOT NULL,
                                  FCURANLSALCURCID BIGINT DEFAULT 0 NOT NULL,
                                  FCURANLSAL INT DEFAULT 0 NOT NULL,
                                  FCURFXDSALCURCID BIGINT DEFAULT 0 NOT NULL,
                                  FCURFXDSAL INT DEFAULT 0 NOT NULL,
                                  FCURBONUSCURCID BIGINT DEFAULT 0 NOT NULL,
                                  FCURBONUS INT DEFAULT 0 NOT NULL,
                                  FCURWELFCURCID BIGINT DEFAULT 0 NOT NULL,
                                  FCURWELF INT DEFAULT 0 NOT NULL,
                                  FCURLTICURCID BIGINT DEFAULT 0 NOT NULL,
                                  FCURLTI INT DEFAULT 0 NOT NULL,
                                  FHOMEPHONE VARCHAR(30) DEFAULT ' ' NOT NULL,
                                  FPHOTO VARCHAR(255) DEFAULT ' ' NOT NULL,
                                  FBIRTHDAY DATETIME,
                                  FHIGHESTDEGREEID BIGINT DEFAULT 0 NOT NULL,
                                  FHESTSPECIALTYCATID BIGINT DEFAULT 0 NOT NULL,
                                  FLANGUAGEVERSIONID BIGINT DEFAULT 0 NOT NULL,
                                  FISLANGUAGEVERSION CHAR(1) DEFAULT ' ' NOT NULL,
                                  FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                  FCREATETIME DATETIME,
                                  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                  FCERTIFICATETYPEID BIGINT DEFAULT 0 NOT NULL,
                                  FCERTIFICATENUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
                                  FCVSTARTDATE DATETIME,
                                  FCVENDINGDATE DATETIME,
                                  FMARITALSTATUSID BIGINT DEFAULT 0 NOT NULL,
                                  FPROCREATIONSTATUSID BIGINT DEFAULT 0 NOT NULL,
                                  FEXPCJOBNATUREID BIGINT DEFAULT 0 NOT NULL,
                                  FEXPCARRIVALDATE DATETIME,
                                  FPROPBIRTHDAY DATETIME,
                                  FBOID BIGINT DEFAULT 0 NOT NULL,
                                  FISCURRENTVERSION CHAR(1) DEFAULT ' ' NOT NULL,
                                  FDATASTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
                                  FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
                                  FISMODIFY VARCHAR(50) DEFAULT ' ' NOT NULL,
                                  FISOPEN CHAR(1) DEFAULT ' ' NOT NULL,
                                  FEMPID BIGINT DEFAULT 0 NOT NULL,
                                  FNATIVEPLACETEXT VARCHAR(255) DEFAULT ' ' NOT NULL,
                                  FCERTIFICATENUMBER_ENP NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_STDLANGABL')
CREATE TABLE T_TSIRM_STDLANGABL (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FLANGUAGENAMEID BIGINT DEFAULT 0 NOT NULL,
                                    FLISTANDSPKABLID BIGINT DEFAULT 0 NOT NULL,
                                    FLITERACYID BIGINT DEFAULT 0 NOT NULL,
                                    FSPOKENID BIGINT DEFAULT 0 NOT NULL,
                                    FREADID BIGINT DEFAULT 0 NOT NULL,
                                    FLANGCERTSCORE DECIMAL(19,6) DEFAULT 0.00 NOT NULL,
                                    FLANGUAGECERTID BIGINT DEFAULT 0 NOT NULL,
                                    FCERTIFICATETITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_STDRELATIONWORK')
CREATE TABLE T_TSIRM_STDRELATIONWORK (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FRELATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FDEPARTMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_SHARERECORD')
CREATE TABLE T_TSIRM_SHARERECORD (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FBOID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FBOTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FSHARERID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FSHARERJOBNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FSHAREDATE DATETIME,
                                     FRECEIVERID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FRECEIVERJOBNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FVALIDITYDATE DATETIME,
                                     FSENDSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FMSGID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_BLACKLIST')
CREATE TABLE T_TSIRM_BLACKLIST (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FOBJID BIGINT DEFAULT 0 NOT NULL,
                                   FADDSOURCE CHAR(1) DEFAULT ' ' NOT NULL,
                                   FOPERTYPE CHAR(1) DEFAULT ' ' NOT NULL,
                                   FAPPLICANT NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FAPPLDEPART BIGINT DEFAULT 0 NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FBLAREASON NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_STDRSM_B')
CREATE TABLE T_TSIRM_STDRSM_B (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FHISVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
                                  FCHANGEDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
                                  FISMODIFY CHAR(1) DEFAULT ' ' NOT NULL,
                                  FACCPLACECHANGE CHAR(1) DEFAULT ' ' NOT NULL,
                                  FISRELATIONWORK CHAR(1) DEFAULT ' ' NOT NULL,
                                  FISCOMPEMP CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMINTEGRITY')
CREATE TABLE T_TSIRM_RSMINTEGRITY (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFYTIME DATETIME,
                                      FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FWEIGHT INT DEFAULT 0 NOT NULL,
                                      FRESUME VARCHAR(36) DEFAULT ' ' NOT NULL,
                                      FPROPERTIES VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FPROPERTIES_TAG NCLOB DEFAULT ' ',
                                      FISKEYFIELD VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FMODULAR VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMINTEGRITY_L')
CREATE TABLE T_TSIRM_RSMINTEGRITY_L (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_STDRSM')
CREATE TABLE T_TSIRM_STDRSM (
                                FID BIGINT DEFAULT 0 NOT NULL,
                                FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                FGENDER BIGINT DEFAULT 0 NOT NULL,
                                FAGE INT DEFAULT 0 NOT NULL,
                                FWORKINGYEARS INT DEFAULT 0 NOT NULL,
                                FPARTWT DATETIME,
                                FJOBSTATUSID BIGINT DEFAULT 0 NOT NULL,
                                FNATREGID BIGINT DEFAULT 0 NOT NULL,
                                FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                FEMAIL VARCHAR(100) DEFAULT ' ' NOT NULL,
                                FHIGHESTEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
                                FHIGHESTEDUSCHOOLID BIGINT DEFAULT 0 NOT NULL,
                                FHIGHESTSPECIALTY NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                FRECENTCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                FRECENTPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                FMODIFYTIME DATETIME,
                                FNATIONID BIGINT DEFAULT 0 NOT NULL,
                                FPOLITICSSTATUSID BIGINT DEFAULT 0 NOT NULL,
                                FEXPCFUNCTIONID BIGINT DEFAULT 0 NOT NULL,
                                FEXPCCITYID BIGINT DEFAULT 0 NOT NULL,
                                FMID BIGINT DEFAULT 0 NOT NULL,
                                FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                FTRACKTIME DATETIME,
                                FISMERGE CHAR(1) DEFAULT ' ' NOT NULL,
                                FPOSITIONNUM INT DEFAULT 0 NOT NULL,
                                FRECSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
                                FRECRUCHNLNMID BIGINT DEFAULT 0 NOT NULL,
                                FTALENTPOOLNUM INT DEFAULT 0 NOT NULL,
                                FSUSPHOTO VARCHAR(2) DEFAULT ' ' NOT NULL,
                                FLABLEINFO BIGINT DEFAULT 0 NOT NULL,
                                FWORKINGYEAR VARCHAR(50) DEFAULT ' ' NOT NULL,
                                FDATARANGE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                FCONTACT VARCHAR(2) DEFAULT ' ' NOT NULL,
                                FPOSITION BIGINT DEFAULT 0 NOT NULL,
                                FATTENTION VARCHAR(2) DEFAULT ' ' NOT NULL,
                                FRGSTPRMTRSDID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                FCURRENTRESIDENCEID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                FEDUCATIONFORMID BIGINT DEFAULT 0 NOT NULL,
                                FPOSCATID BIGINT DEFAULT 0 NOT NULL,
                                FINDUSTRYTYPEID BIGINT DEFAULT 0 NOT NULL,
                                FACTIVATIONMODEID BIGINT DEFAULT 0 NOT NULL,
                                FACTIVATIONTIME DATETIME,
                                FSTDRSMUPDTIME DATETIME,
                                FRECRUSTGID BIGINT DEFAULT 0 NOT NULL,
                                FRECRUSTATID BIGINT DEFAULT 0 NOT NULL,
                                FADDSOURCE CHAR(1) DEFAULT ' ' NOT NULL,
                                FBLATIME DATETIME,
                                FBLAREASON NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                FDELTIME DATETIME,
                                FPORPHOTO VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_STDPOSORGREL')
CREATE TABLE T_TSIRM_STDPOSORGREL (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FSTARTDATE DATETIME,
                                      FENDINGDATE DATETIME,
                                      FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
                                      FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                      FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                      FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
                                      FDURATION INT DEFAULT 0 NOT NULL,
                                      FISRECENT CHAR(1) DEFAULT '0' NOT NULL,
                                      FINDEX INT DEFAULT 0 NOT NULL,
                                      FISPRIMARY VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMLABEL')
CREATE TABLE T_TSIRM_RSMLABEL (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FTAGOBJTYPEID BIGINT DEFAULT 0 NOT NULL,
                                  FTAGOBJID BIGINT DEFAULT 0 NOT NULL,
                                  FLABELCATEGORY VARCHAR(2) DEFAULT ' ' NOT NULL,
                                  FLABELID BIGINT DEFAULT 0 NOT NULL,
                                  FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                  FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_STDRSMLABEL')
CREATE TABLE T_TSIRM_STDRSMLABEL (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FTAGOBJTYPEID BIGINT DEFAULT 0 NOT NULL,
                                     FTAGOBJID BIGINT DEFAULT 0 NOT NULL,
                                     FLABELCATEGORY VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FLABELID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_APPFILELABEL')
CREATE TABLE T_TSIRM_APPFILELABEL (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FTAGOBJTYPEID BIGINT DEFAULT 0 NOT NULL,
                                      FTAGOBJID BIGINT DEFAULT 0 NOT NULL,
                                      FLABELCATEGORY VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FLABELID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RDELIVERY')
CREATE TABLE T_TSIRM_RDELIVERY (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FAPPLYTIME DATETIME,
                                   FDELIVERYPERID BIGINT DEFAULT 0 NOT NULL,
                                   FRECRUCHNLMEDIAID BIGINT DEFAULT 0 NOT NULL,
                                   FAPPMTHDID BIGINT DEFAULT 0 NOT NULL,
                                   FRESACQMTHDID BIGINT DEFAULT 0 NOT NULL,
                                   FRECRUCHNLNMID BIGINT DEFAULT 0 NOT NULL,
                                   FISFILEDISPLAY CHAR(1) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RDELIVERY_A')
CREATE TABLE T_TSIRM_RDELIVERY_A (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FEMAILSOURCEID BIGINT DEFAULT 0 NOT NULL,
                                     FEMAILTITLE NVARCHAR(200) DEFAULT ' ' NOT NULL,
                                     FATTACHNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
                                     FPOSTPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FTITLEPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FATTACHPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FTITLECITY NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FATTACHCITY NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FASSIGNSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMACDACHV')
CREATE TABLE T_TSIRM_RSMACDACHV (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FRSMID BIGINT DEFAULT 0 NOT NULL,
                                    FINDEX INT DEFAULT 0 NOT NULL,
                                    FPAPERTITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FREFERENCECOUNT INT DEFAULT 0 NOT NULL,
                                    FAFLTJOURNAL NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FJOURNALABBR NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FJOURNALGRADEID BIGINT DEFAULT 0 NOT NULL,
                                    FJOURNALCATEGORYID BIGINT DEFAULT 0 NOT NULL,
                                    FRSCHDIREC NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FCOAUTHOR NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FPUBDATE DATETIME,
                                    FTUTOR NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FTUTORPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FWORKSURL VARCHAR(500) DEFAULT ' ' NOT NULL,
                                    FWORKSDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMACTVEXP')
CREATE TABLE T_TSIRM_RSMACTVEXP (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FRSMID BIGINT DEFAULT 0 NOT NULL,
                                    FINDEX INT DEFAULT 0 NOT NULL,
                                    FACTIVITYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FACTIVITYPLACE NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FACTIVITYDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMAWRHON')
CREATE TABLE T_TSIRM_RSMAWRHON (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FRSMID BIGINT DEFAULT 0 NOT NULL,
                                   FINDEX INT DEFAULT 0 NOT NULL,
                                   FAWARDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FAWARDDATE DATETIME,
                                   FAWARDINGUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FWITNESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FAWARDDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMBANKCARD')
CREATE TABLE T_TSIRM_RSMBANKCARD (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FRSMID BIGINT DEFAULT 0 NOT NULL,
                                     FINDEX INT DEFAULT 0 NOT NULL,
                                     FACCOUNTBANKID BIGINT DEFAULT 0 NOT NULL,
                                     FACCOUNTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FCARDNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATETIME DATETIME,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMEMRGCTC')
CREATE TABLE T_TSIRM_RSMEMRGCTC (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FRSMID BIGINT DEFAULT 0 NOT NULL,
                                    FINDEX INT DEFAULT 0 NOT NULL,
                                    FEMERGENCYCONTACT NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FECRELATIONID BIGINT DEFAULT 0 NOT NULL,
                                    FECPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMFMLMBR')
CREATE TABLE T_TSIRM_RSMFMLMBR (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FRSMID BIGINT DEFAULT 0 NOT NULL,
                                   FINDEX INT DEFAULT 0 NOT NULL,
                                   FRELATIONWITHMEID BIGINT DEFAULT 0 NOT NULL,
                                   FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FWORKUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                   FISOURSTAFF CHAR(1) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMHOBBY')
CREATE TABLE T_TSIRM_RSMHOBBY (
                                  FPKID BIGINT DEFAULT 0 NOT NULL,
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMINTEREXP')
CREATE TABLE T_TSIRM_RSMINTEREXP (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FRSMID BIGINT DEFAULT 0 NOT NULL,
                                     FINDEX INT DEFAULT 0 NOT NULL,
                                     FSTARTDATE DATETIME,
                                     FENDINGDATE DATETIME,
                                     FWORKUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FDEPARTMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FINTERNRESP NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                     FWITNESSNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FWITNESSJOB NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FWITNESSPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FWITNESSRELATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FWITNESSUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATETIME DATETIME,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMPATINV')
CREATE TABLE T_TSIRM_RSMPATINV (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FRSMID BIGINT DEFAULT 0 NOT NULL,
                                   FINDEX INT DEFAULT 0 NOT NULL,
                                   FPATENTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FPATENTCATEGORYID BIGINT DEFAULT 0 NOT NULL,
                                   FINVENTOR NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FAPPLICATIONDATE DATETIME,
                                   FPTSTARTDATE DATETIME,
                                   FPTENDINGDATE DATETIME,
                                   FCOUNTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                   FPATENTNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FPATENTSTATUSID BIGINT DEFAULT 0 NOT NULL,
                                   FPATENTURL VARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FPATENTDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMPERF')
CREATE TABLE T_TSIRM_RSMPERF (
                                 FID BIGINT DEFAULT 0 NOT NULL,
                                 FRSMID BIGINT DEFAULT 0 NOT NULL,
                                 FINDEX INT DEFAULT 0 NOT NULL,
                                 FWORKSDATE DATETIME,
                                 FWORKSNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                 FWORKSDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                 FCREATETIME DATETIME,
                                 FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                 FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMPRJEXP')
CREATE TABLE T_TSIRM_RSMPRJEXP (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FRSMID BIGINT DEFAULT 0 NOT NULL,
                                   FINDEX INT DEFAULT 0 NOT NULL,
                                   FSTARTDATE DATETIME,
                                   FENDINGDATE DATETIME,
                                   FPROJECTDURATION DECIMAL(19,6) DEFAULT 0 NOT NULL,
                                   FPROJECTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FBELONGSCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FPROJECTJOB NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FPROJECTRESP NVARCHAR(1500) DEFAULT ' ' NOT NULL,
                                   FPROJECTPERF NVARCHAR(1500) DEFAULT ' ' NOT NULL,
                                   FPROJECTDESC NVARCHAR(1500) DEFAULT ' ' NOT NULL,
                                   FPROJECTURL VARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMPROSKL')
CREATE TABLE T_TSIRM_RSMPROSKL (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FRSMID BIGINT DEFAULT 0 NOT NULL,
                                   FINDEX INT DEFAULT 0 NOT NULL,
                                   FSKILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FUSEDURATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FMASTERYID BIGINT DEFAULT 0 NOT NULL,
                                   FSKILLDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMRSCHPRJ')
CREATE TABLE T_TSIRM_RSMRSCHPRJ (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FRSMID BIGINT DEFAULT 0 NOT NULL,
                                    FINDEX INT DEFAULT 0 NOT NULL,
                                    FRSCHDIREC NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FPROJECTDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMSCHJOB')
CREATE TABLE T_TSIRM_RSMSCHJOB (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FRSMID BIGINT DEFAULT 0 NOT NULL,
                                   FINDEX INT DEFAULT 0 NOT NULL,
                                   FSTARTDATE DATETIME,
                                   FENDINGDATE DATETIME,
                                   FJOB NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FRESPACHV NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMSOCHP')
CREATE TABLE T_TSIRM_RSMSOCHP (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FRSMID BIGINT DEFAULT 0 NOT NULL,
                                  FINDEX INT DEFAULT 0 NOT NULL,
                                  FSOCIALHOMEPAGE VARCHAR(500) DEFAULT ' ' NOT NULL,
                                  FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                  FCREATETIME DATETIME,
                                  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                  FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMTRNEXP')
CREATE TABLE T_TSIRM_RSMTRNEXP (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FRSMID BIGINT DEFAULT 0 NOT NULL,
                                   FINDEX INT DEFAULT 0 NOT NULL,
                                   FSTARTDATE DATETIME,
                                   FENDINGDATE DATETIME,
                                   FTRAININGDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FTRAININGINST NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FTRAININGCOURSE NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FTRAININGPLACE NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FCERTIFICATETITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FCERTIFICATENO NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMVOLEXP')
CREATE TABLE T_TSIRM_RSMVOLEXP (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FRSMID BIGINT DEFAULT 0 NOT NULL,
                                   FINDEX INT DEFAULT 0 NOT NULL,
                                   FVOLEXP NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMWORKEXP')
CREATE TABLE T_TSIRM_RSMWORKEXP (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FRSMID BIGINT DEFAULT 0 NOT NULL,
                                    FINDEX INT DEFAULT 0 NOT NULL,
                                    FSTARTDATE DATETIME,
                                    FENDINGDATE DATETIME,
                                    FLENGTHOFWORK DECIMAL(19,6) DEFAULT 0 NOT NULL,
                                    FCOMPANYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FPOSITIONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FPOSCATID BIGINT DEFAULT 0 NOT NULL,
                                    FCITYID BIGINT DEFAULT 0 NOT NULL,
                                    FWORKRESPONSIBILITY NVARCHAR(1500) DEFAULT ' ' NOT NULL,
                                    FWORKACHIEVEMENT NVARCHAR(1500) DEFAULT ' ' NOT NULL,
                                    FISRECWORK CHAR(1) DEFAULT ' ' NOT NULL,
                                    FCOMPANYSIZE INT DEFAULT 0 NOT NULL,
                                    FINDUSTRYTYPEID BIGINT DEFAULT 0 NOT NULL,
                                    FCOMPANYNATUREID BIGINT DEFAULT 0 NOT NULL,
                                    FDEPARTMENT NVARCHAR(200) DEFAULT ' ' NOT NULL,
                                    FQUITREASONID BIGINT DEFAULT 0 NOT NULL,
                                    FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                    FANNUALSALARY INT DEFAULT 0 NOT NULL,
                                    FUNDERLINGNUMBER INT DEFAULT 0 NOT NULL,
                                    FREPORTOBJECT NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FJOBNATUREID BIGINT DEFAULT 0 NOT NULL,
                                    FWITNESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FWITNESSPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMWORKRELA')
CREATE TABLE T_TSIRM_RSMWORKRELA (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FRSMID BIGINT DEFAULT 0 NOT NULL,
                                     FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FRELATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FDEPARTMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATETIME DATETIME,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSM_A')
CREATE TABLE T_TSIRM_RSM_A (
                               FID BIGINT DEFAULT 0 NOT NULL,
                               FRESUMESTOADD VARCHAR(255) DEFAULT ' ' NOT NULL,
                               FRGSTPRMTRSDID VARCHAR(50) DEFAULT ' ' NOT NULL,
                               FBIRTHPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
                               FHEALTHSTATUSID BIGINT DEFAULT 0 NOT NULL,
                               FNATIVEPLACETEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
                               FNATIVEPLACEID VARCHAR(50) DEFAULT ' ' NOT NULL,
                               FCURRENTRESIDENCEID VARCHAR(50) DEFAULT ' ' NOT NULL,
                               FISCOMPAGRRESTR CHAR(1) DEFAULT ' ' NOT NULL,
                               FISCRIMRECD CHAR(1) DEFAULT ' ' NOT NULL,
                               FISBUSCONFINTR CHAR(1) DEFAULT ' ' NOT NULL,
                               FSELFEVALUATION NVARCHAR(500) DEFAULT ' ' NOT NULL,
                               FPARTORG NVARCHAR(100) DEFAULT ' ' NOT NULL,
                               FEXPTANLSALCURCID BIGINT DEFAULT 0 NOT NULL,
                               FEXPTANLSAL INT DEFAULT 0 NOT NULL,
                               FEXPTMONSALCURCID BIGINT DEFAULT 0 NOT NULL,
                               FEXPTMONSAL INT DEFAULT 0 NOT NULL,
                               FCURANLSAL INT DEFAULT 0 NOT NULL,
                               FCURANLSALCURCID BIGINT DEFAULT 0 NOT NULL,
                               FCURFXDSAL INT DEFAULT 0 NOT NULL,
                               FCURFXDSALCURCID BIGINT DEFAULT 0 NOT NULL,
                               FCURBONUS INT DEFAULT 0 NOT NULL,
                               FCURBONUSCURCID BIGINT DEFAULT 0 NOT NULL,
                               FCURWELFCURCID BIGINT DEFAULT 0 NOT NULL,
                               FCURLTICURCID BIGINT DEFAULT 0 NOT NULL,
                               FCURLTI INT DEFAULT 0 NOT NULL,
                               FCURWELF INT DEFAULT 0 NOT NULL,
                               FHOMEPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                               FRSMSOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
                               FISCOMPEMP CHAR(1) DEFAULT '0' NOT NULL,
                               FACCPLACECHANGE CHAR(1) DEFAULT '0' NOT NULL,
                               FISRELATIONWORK CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMEDUEXP')
CREATE TABLE T_TSIRM_RSMEDUEXP (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FRSMID BIGINT DEFAULT 0 NOT NULL,
                                   FINDEX INT DEFAULT 0 NOT NULL,
                                   FSTARTDATE DATETIME,
                                   FENDINGDATE DATETIME,
                                   FLENGTHOFSTUDY DECIMAL(19,6) DEFAULT 0 NOT NULL,
                                   FSCHOOLNAMEID BIGINT DEFAULT 0 NOT NULL,
                                   FOTHSCHNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FSPECIALTYCATEGORYID BIGINT DEFAULT 0 NOT NULL,
                                   FSPECIALTYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
                                   FDEGREEID BIGINT DEFAULT 0 NOT NULL,
                                   FISHIGHESTEDU CHAR(1) DEFAULT ' ' NOT NULL,
                                   FEDUCATIONFORMID BIGINT DEFAULT 0 NOT NULL,
                                   FISFULLTIME CHAR(1) DEFAULT ' ' NOT NULL,
                                   FISDBLDEGREESPECIALTY CHAR(1) DEFAULT ' ' NOT NULL,
                                   FTUTORNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FCLASSRANK INT DEFAULT 0 NOT NULL,
                                   FWITNESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FWITNESSPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FWITNESSRELATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FWITNESSPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                   FSPECIALISTRANK INT DEFAULT 0 NOT NULL,
                                   FGRADEPOINT DECIMAL(19,6) DEFAULT 0 NOT NULL,
                                   FISHASMAKEUPCOUR CHAR(1) DEFAULT ' ' NOT NULL,
                                   FMAKEUPCOUR NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FISOVERSEASEXP CHAR(1) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME,
                                   FSCHOOLCOUREGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMLANGABL')
CREATE TABLE T_TSIRM_RSMLANGABL (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FRSMID BIGINT DEFAULT 0 NOT NULL,
                                    FINDEX INT DEFAULT 0 NOT NULL,
                                    FCERTIFICATETITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FLANGUAGENAMEID BIGINT DEFAULT 0 NOT NULL,
                                    FLANGCERTSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
                                    FLISTANDSPKABLID BIGINT DEFAULT 0 NOT NULL,
                                    FLITERACYID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFYTIME DATETIME,
                                    FLANGUAGECERTID BIGINT DEFAULT 0 NOT NULL,
                                    FSPOKENID BIGINT DEFAULT 0 NOT NULL,
                                    FREADID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSM')
CREATE TABLE T_TSIRM_RSM (
                             FID BIGINT DEFAULT 0 NOT NULL,
                             FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
                             FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
                             FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
                             FDELIVERYID BIGINT DEFAULT 0 NOT NULL,
                             FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                             FPHOTO VARCHAR(255) DEFAULT ' ' NOT NULL,
                             FGENDER BIGINT DEFAULT 0 NOT NULL,
                             FAGE INT DEFAULT 0 NOT NULL,
                             FWORKINGYEARS DECIMAL(19,6) DEFAULT 0 NOT NULL,
                             FBIRTHDAY DATETIME,
                             FPROPBIRTHDAY DATETIME,
                             FPARTWT DATETIME,
                             FJOBSTATUSID BIGINT DEFAULT 0 NOT NULL,
                             FNATREGID BIGINT DEFAULT 0 NOT NULL,
                             FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                             FEMAIL VARCHAR(100) DEFAULT ' ' NOT NULL,
                             FHIGHESTEDUSCHOOLID BIGINT DEFAULT 0 NOT NULL,
                             FHIGHESTEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
                             FHIGHESTDEGREEID BIGINT DEFAULT 0 NOT NULL,
                             FHESTSPECIALTYCATID BIGINT DEFAULT 0 NOT NULL,
                             FHIGHESTSPECIALTY NVARCHAR(100) DEFAULT ' ' NOT NULL,
                             FRECENTCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
                             FRECENTPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                             FLANGUAGEVERSIONID BIGINT DEFAULT 0 NOT NULL,
                             FISLANGUAGEVERSION CHAR(1) DEFAULT ' ' NOT NULL,
                             FCREATORID BIGINT DEFAULT 0 NOT NULL,
                             FCREATETIME DATETIME,
                             FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                             FMODIFYTIME DATETIME,
                             FNATIONID BIGINT DEFAULT 0 NOT NULL,
                             FPOLITICSSTATUSID BIGINT DEFAULT 0 NOT NULL,
                             FCERTIFICATETYPEID BIGINT DEFAULT 0 NOT NULL,
                             FCERTIFICATENUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
                             FCERTIFICATENUMBER_ENP NCLOB,
                             FCVSTARTDATE DATETIME,
                             FCVENDINGDATE DATETIME,
                             FMARITALSTATUSID BIGINT DEFAULT 0 NOT NULL,
                             FPROCREATIONSTATUSID BIGINT DEFAULT 0 NOT NULL,
                             FEXPCJOBNATUREID BIGINT DEFAULT 0 NOT NULL,
                             FEXPCFUNCTIONID BIGINT DEFAULT 0 NOT NULL,
                             FEXPCCITYID BIGINT DEFAULT 0 NOT NULL,
                             FEXPCARRIVALDATE DATETIME,
                             FTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                             FEMPLOYEESID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMPOSORGREL')
CREATE TABLE T_TSIRM_RSMPOSORGREL (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FINDEX INT DEFAULT 0 NOT NULL,
                                      FRSMID BIGINT DEFAULT 0 NOT NULL,
                                      FSTARTDATE DATETIME,
                                      FENDINGDATE DATETIME,
                                      FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
                                      FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                      FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                      FISRECENT CHAR(1) DEFAULT '0' NOT NULL,
                                      FISPRIMARY CHAR(1) DEFAULT '0' NOT NULL,
                                      FDURATION INT DEFAULT 0 NOT NULL,
                                      FDURATIONTEXT NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMPOSORGREL_L')
CREATE TABLE T_TSIRM_RSMPOSORGREL_L (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_IRWORKADDR')
CREATE TABLE T_TSIRM_IRWORKADDR (
                                    FPKID BIGINT DEFAULT 0 NOT NULL,
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_BIZCOUNT')
CREATE TABLE T_TSIRM_BIZCOUNT (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FBIZMARK VARCHAR(30) DEFAULT ' ' NOT NULL,
                                  FBIZSTAFF BIGINT DEFAULT 0 NOT NULL,
                                  FBIZSTAFFNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
                                  FCOUNT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_IRPOSTEROPR')
CREATE TABLE T_TSIRM_IRPOSTEROPR (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FPOSTERID BIGINT DEFAULT 0 NOT NULL,
                                     FOPTTYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_IRPOSTER')
CREATE TABLE T_TSIRM_IRPOSTER (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                  FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
                                  FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                  FCREATETIME DATETIME,
                                  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                  FMODIFYTIME DATETIME,
                                  FPICADDR VARCHAR(200) DEFAULT ' ' NOT NULL,
                                  FPARENTID BIGINT DEFAULT 0 NOT NULL,
                                  FLEVEL INT DEFAULT 0 NOT NULL,
                                  FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                  FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_ADVBILL')
CREATE TABLE T_TSIRM_ADVBILL (
                                 FID BIGINT DEFAULT 0 NOT NULL,
                                 FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
                                 FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
                                 FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                 FCREATETIME DATETIME,
                                 FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                 FMODIFYTIME DATETIME,
                                 FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                 FAUDITDATE DATETIME,
                                 FAUDITSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
                                 FISEXISTSWORKFLOW CHAR(1) DEFAULT ' ' NOT NULL,
                                 FADVERTBUORG BIGINT DEFAULT 0 NOT NULL,
                                 FADMINORG BIGINT DEFAULT 0 NOT NULL,
                                 FCATEGORY NVARCHAR(200) DEFAULT ' ' NOT NULL,
                                 FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
                                 FPOSITIONEXID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_ADVBILL_L')
CREATE TABLE T_TSIRM_ADVBILL_L (
                                   FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
                                   FNOWNODE NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FNOWNODEAUDITOR NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_ADVBILLENTITY_WA')
CREATE TABLE T_TSIRM_ADVBILLENTITY_WA (
                                          FPKID BIGINT DEFAULT 0 NOT NULL,
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                          FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_ADVBILLENTITY_L')
CREATE TABLE T_TSIRM_ADVBILLENTITY_L (
                                         FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                         FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                         FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FPOSRESPON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                         FPOSQUAL NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                         FREQORG NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FPOSHIGHLIGHT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_ADVERTEX_L')
CREATE TABLE T_TSIRM_ADVERTEX_L (
                                    FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                    FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FPOSRESPON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                    FPOSQUAL NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                    FREQORG NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FPOSHIGHLIGHT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_ADVBILLENTITY')
CREATE TABLE T_TSIRM_ADVBILLENTITY (
                                       FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                       FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                       FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FPOSID BIGINT DEFAULT 0 NOT NULL,
                                       FISDISPOSCODE CHAR(1) DEFAULT ' ' NOT NULL,
                                       FRECCATEGORYID BIGINT DEFAULT 0 NOT NULL,
                                       FPOSCATEGORYID BIGINT DEFAULT 0 NOT NULL,
                                       FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                       FSALARYTYPEID BIGINT DEFAULT 0 NOT NULL,
                                       FSALARYDOWN INT DEFAULT 0 NOT NULL,
                                       FSALARYUP INT DEFAULT 0 NOT NULL,
                                       FISSALARYNEGO CHAR(1) DEFAULT ' ' NOT NULL,
                                       FHOLDOFFTYPID BIGINT DEFAULT 0 NOT NULL,
                                       FWORKEXPDOWN INT DEFAULT 0 NOT NULL,
                                       FWORKEXPUP INT DEFAULT 0 NOT NULL,
                                       FISWORKEXPLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
                                       FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
                                       FISEDULIMIT CHAR(1) DEFAULT ' ' NOT NULL,
                                       FRECRUITNUM INT DEFAULT 0 NOT NULL,
                                       FISRECNUMLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
                                       FRECMAIL VARCHAR(200) DEFAULT ' ' NOT NULL,
                                       FCHANNELID BIGINT DEFAULT 0 NOT NULL,
                                       FADVID BIGINT DEFAULT 0 NOT NULL,
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FSEQ INT DEFAULT 0 NOT NULL,
                                       FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FISAUDIT CHAR(1) DEFAULT ' ' NOT NULL,
                                       FRECRUSCENEID BIGINT DEFAULT 0 NOT NULL,
                                       FSTARTDATE DATETIME,
                                       FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_HHUNTINGRECORD_L')
CREATE TABLE T_TSIRM_HHUNTINGRECORD_L (
                                          FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_IRRRECORD_L')
CREATE TABLE T_TSIRM_IRRRECORD_L (
                                     FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FCANNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FRPCOMMON NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_ADVBILLENTITY_I')
CREATE TABLE T_TSIRM_ADVBILLENTITY_I (
                                         FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                         FISURGENT CHAR(1) DEFAULT ' ' NOT NULL,
                                         FISTOP CHAR(1) DEFAULT ' ' NOT NULL,
                                         FISREWARD CHAR(1) DEFAULT ' ' NOT NULL,
                                         FREWARD DECIMAL(19,4) DEFAULT 0 NOT NULL,
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FRECURRENCYID INT DEFAULT 0 NOT NULL,
                                         FREWARDPOINT INT DEFAULT 0 NOT NULL,
                                         FREWARDRULEDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                         FREWARDRULEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_ADVERTEX_I')
CREATE TABLE T_TSIRM_ADVERTEX_I (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FISURGENT CHAR(1) DEFAULT ' ' NOT NULL,
                                    FISTOP CHAR(1) DEFAULT ' ' NOT NULL,
                                    FISREWARD CHAR(1) DEFAULT ' ' NOT NULL,
                                    FREWARD DECIMAL(19,4) DEFAULT 0 NOT NULL,
                                    FRECURRENCYID INT DEFAULT 0 NOT NULL,
                                    FREWARDPOINT INT DEFAULT 0 NOT NULL,
                                    FREWARDRULEDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                    FREWARDRULEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_IRPOSTERENTRY')
CREATE TABLE T_TSIRM_IRPOSTERENTRY (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                       FPOSID BIGINT DEFAULT 0 NOT NULL,
                                       FADVID BIGINT DEFAULT 0 NOT NULL,
                                       FSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_HHUNTINGRECORD')
CREATE TABLE T_TSIRM_HHUNTINGRECORD (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FRSMID BIGINT DEFAULT 0 NOT NULL,
                                        FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FJOBNO VARCHAR(200) DEFAULT ' ' NOT NULL,
                                        FCANORGID BIGINT DEFAULT 0 NOT NULL,
                                        FCANRANK BIGINT DEFAULT 0 NOT NULL,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                        FOFFERDATE DATETIME,
                                        FCREATETIME DATETIME,
                                        FMODIFYTIME DATETIME,
                                        FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
                                        FPOSID BIGINT DEFAULT 0 NOT NULL,
                                        FMANAGEINFOID BIGINT DEFAULT 0 NOT NULL,
                                        FCANJOB BIGINT DEFAULT 0 NOT NULL,
                                        FBASESALARY INT DEFAULT 0 NOT NULL,
                                        FSALARYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                        FISGIVE CHAR(1) DEFAULT ' ' NOT NULL,
                                        FREWARDNO VARCHAR(200) DEFAULT ' ' NOT NULL,
                                        FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
                                        FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                        FCANAPPFILEID BIGINT DEFAULT 0 NOT NULL,
                                        FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
                                        FONBARDINGDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_ADVERTEX')
CREATE TABLE T_TSIRM_ADVERTEX (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                  FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                  FCREATETIME DATETIME,
                                  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                  FMODIFYTIME DATETIME,
                                  FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                  FPOSID BIGINT DEFAULT 0 NOT NULL,
                                  FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
                                  FISDISPOSCODE CHAR(1) DEFAULT ' ' NOT NULL,
                                  FRECCATEGORYID BIGINT DEFAULT 0 NOT NULL,
                                  FPOSCATEGORYID BIGINT DEFAULT 0 NOT NULL,
                                  FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                  FSALARYTYPEID BIGINT DEFAULT 0 NOT NULL,
                                  FSALARYDOWN INT DEFAULT 0 NOT NULL,
                                  FSALARYUP INT DEFAULT 0 NOT NULL,
                                  FISSALARYNEGO CHAR(1) DEFAULT ' ' NOT NULL,
                                  FHOLDOFFTYPID BIGINT DEFAULT 0 NOT NULL,
                                  FWORKEXPDOWN INT DEFAULT 0 NOT NULL,
                                  FWORKEXPUP INT DEFAULT 0 NOT NULL,
                                  FISWORKEXPLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
                                  FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
                                  FISEDULIMIT CHAR(1) DEFAULT ' ' NOT NULL,
                                  FRECRUITNUM INT DEFAULT 0 NOT NULL,
                                  FISRECNUMLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
                                  FCHANNELID BIGINT DEFAULT 0 NOT NULL,
                                  FSTOPTIME DATETIME,
                                  FVID BIGINT DEFAULT 0 NOT NULL,
                                  FAPPROVEID BIGINT DEFAULT 0 NOT NULL,
                                  FREFRESHTIME DATETIME,
                                  FAPPROVESTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
                                  FPUBTIME DATETIME,
                                  FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                  FADVBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
                                  FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                  FADVERTISEMENTRD VARCHAR(30) DEFAULT ' ' NOT NULL,
                                  FRECRUSCENEID BIGINT DEFAULT 0 NOT NULL,
                                  FSTARTDATE DATETIME,
                                  FENDDATE DATETIME,
                                  FMODIFYUSER BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_IRRDETAIL_L')
CREATE TABLE T_TSIRM_IRRDETAIL_L (
                                     FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_IRRRECORD')
CREATE TABLE T_TSIRM_IRRRECORD (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
                                   FREWARD DECIMAL(19,4) DEFAULT 0.00 NOT NULL,
                                   FREWARDPOINT INT DEFAULT 0 NOT NULL,
                                   FRECRUITLINK BIGINT DEFAULT 0 NOT NULL,
                                   FRECRUITSTATUS BIGINT DEFAULT 0 NOT NULL,
                                   FRESPONID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME,
                                   FCREATETIME DATETIME,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FRPTYPE CHAR(1) DEFAULT ' ' NOT NULL,
                                   FRPFROM CHAR(1) DEFAULT ' ' NOT NULL,
                                   FRPNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
                                   FRPORGID BIGINT DEFAULT 0 NOT NULL,
                                   FCANMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
                                   FPOSBIZID BIGINT DEFAULT 0 NOT NULL,
                                   FPOSORGID BIGINT DEFAULT 0 NOT NULL,
                                   FCANPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                   FPOSTERID BIGINT DEFAULT 0 NOT NULL,
                                   FPOSID BIGINT DEFAULT 0 NOT NULL,
                                   FADVID BIGINT DEFAULT 0 NOT NULL,
                                   FRELATIONSHIP BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYSTATUSDATE DATETIME,
                                   FCANAPPFILEID BIGINT DEFAULT 0 NOT NULL,
                                   FONBARDINGDATE DATETIME,
                                   FCANRANK BIGINT DEFAULT 0 NOT NULL,
                                   FJOBNO VARCHAR(200) DEFAULT ' ' NOT NULL,
                                   FTOTALCOST DECIMAL(19,4) DEFAULT 0.00 NOT NULL,
                                   FTOTALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                   FTOTALPOINT INT DEFAULT 0 NOT NULL,
                                   FISGIVE CHAR(1) DEFAULT ' ' NOT NULL,
                                   FREWARDNO VARCHAR(200) DEFAULT ' ' NOT NULL,
                                   FREWARDCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                   FMANAGEINFOID BIGINT DEFAULT 0 NOT NULL,
                                   FCANNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FRECOMMENDUSERID BIGINT DEFAULT 0 NOT NULL,
                                   FRSMID BIGINT DEFAULT 0 NOT NULL,
                                   FGIVESTATE VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_ADVADMINORGS')
CREATE TABLE T_TSIRM_ADVADMINORGS (
                                      FPKID BIGINT DEFAULT 0 NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_IRRDETAIL')
CREATE TABLE T_TSIRM_IRRDETAIL (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
                                   FRECRUSTGID BIGINT DEFAULT 0 NOT NULL,
                                   FRECRUSTATID BIGINT DEFAULT 0 NOT NULL,
                                   FREWARDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
                                   FDETAILREWARD DECIMAL(19,4) DEFAULT 0.00 NOT NULL,
                                   FDETAILPOINT DECIMAL(19,4) DEFAULT 0 NOT NULL,
                                   FDETAILCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFYTIME DATETIME,
                                   FPOINTITEM NVARCHAR(200) DEFAULT ' ' NOT NULL,
                                   FRRECORDID BIGINT DEFAULT 0 NOT NULL,
                                   FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
                                   FMANAGEINFOID BIGINT DEFAULT 0 NOT NULL,
                                   FRECCATEGORYID BIGINT DEFAULT 0 NOT NULL,
                                   FREWARDRULEID BIGINT DEFAULT 0 NOT NULL,
                                   FCLASSLEVELID BIGINT DEFAULT 0 NOT NULL,
                                   FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                   FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
                                   FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSITION_L')
CREATE TABLE T_TSIRM_POSITION_L (
                                    FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                    FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FWORKADDRESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FPOSRESPON NCLOB,
                                    FPOSQUAL NVARCHAR(1000) DEFAULT ' ' NOT NULL,
                                    FANOPOSREQUIREMENT NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSITIONSNAP_L')
CREATE TABLE T_TSIRM_POSITIONSNAP_L (
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FVID BIGINT DEFAULT 0 NOT NULL,
                                        FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FWORKADDRESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FPOSRESPON NCLOB,
                                        FPOSQUAL NVARCHAR(1000) DEFAULT ' ' NOT NULL,
                                        FANOPOSREQUIREMENT NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSWORKADDR')
CREATE TABLE T_TSIRM_POSWORKADDR (
                                     FPKID BIGINT DEFAULT 0 NOT NULL,
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSWORKADDRSNAP')
CREATE TABLE T_TSIRM_POSWORKADDRSNAP (
                                         FPKID BIGINT DEFAULT 0 NOT NULL,
                                         FVID BIGINT DEFAULT 0 NOT NULL,
                                         FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSITIONRULE_L')
CREATE TABLE T_TSIRM_POSITIONRULE_L (
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FKEYWORD NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSITIONRULE')
CREATE TABLE T_TSIRM_POSITIONRULE (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                      FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FINDEX BIGINT DEFAULT 0 NOT NULL,
                                      FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                      FDISTRIMODE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FKEYWORD VARCHAR(1000) DEFAULT ' ' NOT NULL,
                                      FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
                                      FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFYTIME DATETIME,
                                      FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                      FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                      FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSORDINATOR')
CREATE TABLE T_TSIRM_POSORDINATOR (
                                      FPKID BIGINT DEFAULT 0 NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSPRIN')
CREATE TABLE T_TSIRM_POSPRIN (
                                 FPKID BIGINT DEFAULT 0 NOT NULL,
                                 FID BIGINT DEFAULT 0 NOT NULL,
                                 FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSITIONBILL')
CREATE TABLE T_TSIRM_POSITIONBILL (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FPOSITIONSNAPID BIGINT DEFAULT 0 NOT NULL,
                                      FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                      FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
                                      FBILLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFYTIME DATETIME,
                                      FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                      FAUDITDATE DATETIME,
                                      FEVENTEFFECTDATE DATETIME,
                                      FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
                                      FISEXISTSWORKFLOW VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FINPUTDEVICETYPE VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_AUTHORIZER')
CREATE TABLE T_TSIRM_AUTHORIZER (
                                    FPKID BIGINT DEFAULT 0 NOT NULL,
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSITIONSNAP')
CREATE TABLE T_TSIRM_POSITIONSNAP (
                                      FVID BIGINT DEFAULT 0 NOT NULL,
                                      FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                      FPOSITIONSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FPOSITIONPRIORITY INT DEFAULT 0 NOT NULL,
                                      FISABANDON CHAR(1) DEFAULT ' ' NOT NULL,
                                      FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                      FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
                                      FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                      FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FPOSCATEGORYID BIGINT DEFAULT 0 NOT NULL,
                                      FHOLDOFFTYPID BIGINT DEFAULT 0 NOT NULL,
                                      FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
                                      FRECRUITNUM INT DEFAULT 0 NOT NULL,
                                      FISRECNUMLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
                                      FRECCATEGORYID BIGINT DEFAULT 0 NOT NULL,
                                      FWORKCITYID BIGINT DEFAULT 0 NOT NULL,
                                      FWORKCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
                                      FJOBSCMID BIGINT DEFAULT 0 NOT NULL,
                                      FENTRYJOBID BIGINT DEFAULT 0 NOT NULL,
                                      FLOWJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
                                      FHIGHJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
                                      FLOWJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
                                      FHIGHJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
                                      FJOBLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FJOBGRADE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FARRIVALTIME DATETIME,
                                      FENTRYPOSITION BIGINT DEFAULT 0 NOT NULL,
                                      FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                      FISSALARYNEGO CHAR(1) DEFAULT ' ' NOT NULL,
                                      FSALARYTYPEID BIGINT DEFAULT 0 NOT NULL,
                                      FSALARYDOWN BIGINT DEFAULT 0 NOT NULL,
                                      FSALARYUP BIGINT DEFAULT 0 NOT NULL,
                                      FPOSRESPON NCLOB,
                                      FANOPOSREQUIREMENT NCLOB,
                                      FCANDIDATORNUM INT DEFAULT 0 NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFYTIME DATETIME,
                                      FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                      FDISABLEDATE DATETIME,
                                      FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                      FINDEX INT DEFAULT 0 NOT NULL,
                                      FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
                                      FORGID BIGINT DEFAULT 0 NOT NULL,
                                      FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSITION_A')
CREATE TABLE T_TSIRM_POSITION_A (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FISSEXLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
                                    FSEX VARCHAR(2) DEFAULT ' ' NOT NULL,
                                    FISAGELIMIT CHAR(1) DEFAULT ' ' NOT NULL,
                                    FAGEDOWN INT DEFAULT 0 NOT NULL,
                                    FAGEUP INT DEFAULT 0 NOT NULL,
                                    FISWORKEXPLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
                                    FWORKEXPDOWN INT DEFAULT 0 NOT NULL,
                                    FWORKEXPUP INT DEFAULT 0 NOT NULL,
                                    FISEDULIMIT CHAR(1) DEFAULT ' ' NOT NULL,
                                    FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
                                    FSUCCADVCOUNT BIGINT DEFAULT 0 NOT NULL,
                                    FERRADVCOUNT BIGINT DEFAULT 0 NOT NULL,
                                    FSTOPADVCOUNT BIGINT DEFAULT 0 NOT NULL,
                                    FRECRUSCENEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSITION')
CREATE TABLE T_TSIRM_POSITION (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FPOSITIONSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                  FPOSITIONPRIORITY INT DEFAULT 0 NOT NULL,
                                  FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                  FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
                                  FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
                                  FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                  FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                  FPOSCATEGORYID BIGINT DEFAULT 0 NOT NULL,
                                  FMANAGEINFOID BIGINT DEFAULT 0 NOT NULL,
                                  FHOLDOFFTYPID BIGINT DEFAULT 0 NOT NULL,
                                  FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
                                  FEMPRELATIONTYPEID BIGINT DEFAULT 0 NOT NULL,
                                  FRECRUITNUM INT DEFAULT 0 NOT NULL,
                                  FISRECNUMLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
                                  FRECCATEGORYID BIGINT DEFAULT 0 NOT NULL,
                                  FWORKCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
                                  FJOBSCMID BIGINT DEFAULT 0 NOT NULL,
                                  FENTRYJOBID BIGINT DEFAULT 0 NOT NULL,
                                  FLOWJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
                                  FHIGHJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
                                  FLOWJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
                                  FHIGHJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
                                  FJOBLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
                                  FJOBGRADE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                  FARRIVALTIME DATETIME,
                                  FENTRYPOSITION BIGINT DEFAULT 0 NOT NULL,
                                  FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                  FWORKCITYID BIGINT DEFAULT 0 NOT NULL,
                                  FISSALARYNEGO CHAR(1) DEFAULT ' ' NOT NULL,
                                  FSALARYTYPEID BIGINT DEFAULT 0 NOT NULL,
                                  FSALARYDOWN BIGINT DEFAULT 0 NOT NULL,
                                  FSALARYUP BIGINT DEFAULT 0 NOT NULL,
                                  FPOSRESPON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                  FANOPOSREQUIREMENT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                  FCANDIDATORNUM INT DEFAULT 0 NOT NULL,
                                  FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                  FCREATETIME DATETIME,
                                  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                  FMODIFYTIME DATETIME,
                                  FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                  FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                  FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                  FDISABLEDATE DATETIME,
                                  FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                  FINDEX INT DEFAULT 0 NOT NULL,
                                  FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                  FDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                  FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
                                  FVID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSITIONSNAP_A')
CREATE TABLE T_TSIRM_POSITIONSNAP_A (
                                        FVID BIGINT DEFAULT 0 NOT NULL,
                                        FISSEXLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
                                        FSEX VARCHAR(2) DEFAULT ' ' NOT NULL,
                                        FISAGELIMIT CHAR(1) DEFAULT ' ' NOT NULL,
                                        FAGEDOWN INT DEFAULT 0 NOT NULL,
                                        FAGEUP INT DEFAULT 0 NOT NULL,
                                        FISWORKEXPLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
                                        FWORKEXPDOWN INT DEFAULT 0 NOT NULL,
                                        FWORKEXPUP INT DEFAULT 0 NOT NULL,
                                        FISEDULIMIT CHAR(1) DEFAULT ' ' NOT NULL,
                                        FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
                                        FSUCCADVCOUNT BIGINT DEFAULT 0 NOT NULL,
                                        FERRADVCOUNT BIGINT DEFAULT 0 NOT NULL,
                                        FSTOPADVCOUNT BIGINT DEFAULT 0 NOT NULL,
                                        FRECRUSCENEID BIGINT DEFAULT 0 NOT NULL,
                                        FEMPRELATIONTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSMAILREL')
CREATE TABLE T_TSIRM_POSMAILREL (
                                    FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                    FMAILINFOID BIGINT DEFAULT 0 NOT NULL,
                                    FSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RECPLAN')
CREATE TABLE T_TSIRM_RECPLAN (
                                 FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                 FID BIGINT DEFAULT 0 NOT NULL,
                                 FRECREQID BIGINT DEFAULT 0 NOT NULL,
                                 FSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSITIONMANAGE')
CREATE TABLE T_TSIRM_POSITIONMANAGE (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FCRECRUPROCID BIGINT DEFAULT 0 NOT NULL,
                                        FCFGRESURULEID BIGINT DEFAULT 0 NOT NULL,
                                        FSECLEVEL BIGINT DEFAULT 0 NOT NULL,
                                        FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                        FINTVEVLQUNRID BIGINT DEFAULT 0 NOT NULL,
                                        FUSEKREWARDRULE CHAR(1) DEFAULT ' ' NOT NULL,
                                        FREWARDDEFAULTCONF CHAR(1) DEFAULT ' ' NOT NULL,
                                        FREWARDRULEID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATETIME DATETIME,
                                        FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                        FMODIFYTIME DATETIME,
                                        FALLOWUPDATECONF CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSADMINORGS')
CREATE TABLE T_TSIRM_POSADMINORGS (
                                      FPKID BIGINT DEFAULT 0 NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_POSSPADMINORGS')
CREATE TABLE T_TSIRM_POSSPADMINORGS (
                                        FPKID BIGINT DEFAULT 0 NOT NULL,
                                        FVID BIGINT DEFAULT 0 NOT NULL,
                                        FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_HIREAP')
CREATE TABLE T_TSIRM_HIREAP (
                                FID BIGINT DEFAULT 0 NOT NULL,
                                FBATCHNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
                                FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
                                FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
                                FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
                                FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                FSUBMITOR BIGINT DEFAULT 0 NOT NULL,
                                FSUBMITTIME DATETIME,
                                FBILLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                FAUDITDATE DATETIME,
                                FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                FMODIFYTIME DATETIME,
                                FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
                                FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_HIREAPENTRY_A')
CREATE TABLE T_TSIRM_HIREAPENTRY_A (
                                       FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                       FDEPTID BIGINT DEFAULT 0 NOT NULL,
                                       FJOBSCMORGID BIGINT DEFAULT 0 NOT NULL,
                                       FJOBSCMID BIGINT DEFAULT 0 NOT NULL,
                                       FJOBID BIGINT DEFAULT 0 NOT NULL,
                                       FJOBCLASSID BIGINT DEFAULT 0 NOT NULL,
                                       FJOBFAMILYID BIGINT DEFAULT 0 NOT NULL,
                                       FJOBSEQID BIGINT DEFAULT 0 NOT NULL,
                                       FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
                                       FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
                                       FPOSTTYPEID BIGINT DEFAULT 0 NOT NULL,
                                       FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                       FPOSITIONTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FPROBATIONTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FPROBATIONNUM INT DEFAULT 0 NOT NULL,
                                       FWORKADDRID BIGINT DEFAULT 0 NOT NULL,
                                       FSOCAREAID BIGINT DEFAULT 0 NOT NULL,
                                       FDEPTCHARGEID BIGINT DEFAULT 0 NOT NULL,
                                       FLABORRELTYPECLSID BIGINT DEFAULT 0 NOT NULL,
                                       FLABRELSTATUSCLSID BIGINT DEFAULT 0 NOT NULL,
                                       FISPROBATION VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_HIREAPENTRY') 
 CREATE TABLE T_TSIRM_HIREAPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FCURPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FGENDER BIGINT DEFAULT 0 NOT NULL,
FAGE INT DEFAULT 0 NOT NULL,
FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSPECIALTYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_HIREAP_L')
CREATE TABLE T_TSIRM_HIREAP_L (
                                  FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL
);


/**End D:\PDM_UPGRADE\PDM1\TSIRM_table.sql **/
