/**Begin D:\PDM_UPGRADE\PDM1\TSIRM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSIRM_EMPDELIVERY' AND KSQL_COL_NAME ='FISNEWAPPFILE')
 ALTER TABLE T_TSIRM_EMPDELIVERY ADD (FISNEWAPPFILE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_USERADVERTREL')
 CREATE TABLE T_TSIRM_USERADVERTREL (
FID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FADVERTID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSIRM_RSM_A' AND KSQL_COL_NAME ='FRSMPUBSCOPE')
 ALTER TABLE T_TSIRM_RSM_A ADD (FRSMPUBSCOPE VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSIRM_RSM_A' AND KSQL_COL_NAME ='FISSHLDCTORG')
 ALTER TABLE T_TSIRM_RSM_A ADD (FISSHLDCTORG CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSIRM_RSM_A' AND KSQL_COL_NAME ='FRSMREMARK')
 ALTER TABLE T_TSIRM_RSM_A ADD (FRSMREMARK VARCHAR(20) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSIRM_RSM_A' AND KSQL_COL_NAME ='FRSMUPDATETIME')
 ALTER TABLE T_TSIRM_RSM_A ADD (FRSMUPDATETIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMPUBSCOPE')
 CREATE TABLE T_TSIRM_RSMPUBSCOPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FRSMID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_RSMPUBSCOPE_L')
CREATE TABLE T_TSIRM_RSMPUBSCOPE_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_USERADVERTREL_L')
 CREATE TABLE T_TSIRM_USERADVERTREL_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


/**End D:\PDM_UPGRADE\PDM1\TSIRM_table.sql **/
/**Begin D:\PDM_UPGRADE\PDM1\TSIRM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSIRM_ADVERTEX' AND KSQL_COL_NAME ='FFAILREASON')
ALTER TABLE T_TSIRM_ADVERTEX ADD (FFAILREASON VARCHAR(255) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_ADVERTORGS')
CREATE TABLE T_TSIRM_ADVERTORGS (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FPKID BIGINT DEFAULT 0 NOT NULL,
                                    FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_ADVERTORGSRECORD')
CREATE TABLE T_TSIRM_ADVERTORGSRECORD (
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                          FPKID BIGINT DEFAULT 0 NOT NULL,
                                          FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


/**End D:\PDM_UPGRADE\PDM1\TSIRM_table.sql **/
