﻿/**Begin D:\PDM_UPGRADE\PDM1\TSIRM_constraint.sql **/
 EXEC P_ALTERPK 'PK_TSIRM_IRWORKADDRH', 'T_TSIRM_IRWORKADDRH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_IRWORKADDRH_FWAID') CREATE INDEX IDX_TSIRM_IRWORKADDRH_FWAID ON T_TSIRM_IRWORKADDRH ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_TSIRM_ADVBILLHENTITY_WA', 'T_TSIRM_ADVBILLHENTITY_WA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_IRWORKADDRH_WA_FWAID') CREATE INDEX IDX_TSIRM_IRWORKADDRH_WA_FWAID ON T_TSIRM_ADVBILLHENTITY_WA ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_TSIRM_POSEMPLOYORGS', 'T_TSIRM_POSEMPLOYORGS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSEMPLOYORGS') CREATE INDEX IDX_TSIRM_POSEMPLOYORGS ON T_TSIRM_POSEMPLOYORGS ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_TSIRM_POSWORKADDRS', 'T_TSIRM_POSWORKADDRS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSWORKADDRS_FID') CREATE INDEX IDX_TSIRM_POSWORKADDRS_FID ON T_TSIRM_POSWORKADDRS ( FID );


 EXEC P_ALTERPK 'PK_TSIRM_POSSPWORKADDRS', 'T_TSIRM_POSSPWORKADDRS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSSPWORKADDRS_FVID') CREATE INDEX IDX_TSIRM_POSSPWORKADDRS_FVID ON T_TSIRM_POSSPWORKADDRS ( FVID );


 EXEC P_ALTERPK 'PK_TSIRM_POSSPEMPLOYORGS', 'T_TSIRM_POSSPEMPLOYORGS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSIRM_POSSPEMPLOYORGS') CREATE INDEX IDX_TSIRM_POSSPEMPLOYORGS ON T_TSIRM_POSSPEMPLOYORGS ( FVID ,FBASEDATAID );



/**End D:\PDM_UPGRADE\PDM1\TSIRM_constraint.sql **/
