﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\TSIRM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSIRM_STDRSM_B' AND KSQL_COL_NAME ='FSTATUS')
ALTER TABLE T_TSIRM_STDRSM_B ADD (FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_OPERATEEMPLOYEE')
CREATE TABLE T_TSIRM_OPERATEEMPLOYEE (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_OPERATIONMANAGE')
CREATE TABLE T_TSIRM_OPERATIONMANAGE (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
                                         FACTIVATIONSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FACTIVATIONTIME DATETIME,
                                         FLASTLOGINTIME DATETIME,
                                         FFIRSTLOGINTIME DATETIME,
                                         FUSERID BIGINT DEFAULT 0 NOT NULL,
                                         FFAILREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                         FFAILREASONCOMBO VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSIRM_OPERATIONMANAGERD')
CREATE TABLE T_TSIRM_OPERATIONMANAGERD (
                                           FID BIGINT DEFAULT 0 NOT NULL,
                                           FACTIVATIONSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                           FAILREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                           FUSERID BIGINT DEFAULT 0 NOT NULL,
                                           FACTIVATIONTIME DATETIME,
                                           FOPERATEVAL VARCHAR(10) DEFAULT ' ' NOT NULL,
                                           FOPERATIONMANAGEID BIGINT DEFAULT 0 NOT NULL,
                                           FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                           FCREATETIME DATETIME,
                                           FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                           FMODIFYTIME DATETIME
);



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\TSIRM_table.sql **/
